Apid2Sql <- function(user=NULL,host=NULL, driver="MySQL",password=NULL,file=NULL,ppi=NULL,database=NULL){

  drv <- dbDriver(driver)
  
  if(is.null(user) ) stop ("Input user is missing.")
  if(is.null(host) ) stop ("Input host is missing.")
  if(is.null(database) )stop ("Input database is missing.")
  
  if (is.null(password)){
    con <- dbConnect(drv, user=user,host=host)
  }
  if (!is.null(password)) {
    con <- dbConnect(drv, user=user,host=host,password=password)
  }

  #print("0")
  dropDB <- paste("drop database if exists ", database, sep="")
  dbSendQuery(con,statement=dropDB)
  #print("1")
  createDB <- paste("create database ", database,sep="")
  dbSendQuery(con,statement=createDB)
  dbDisconnect(con)
  #print("2")
  
  if (is.null(password)){
    con <- dbConnect(drv, user=user,host=host, dbname=database)
  }
  if (!is.null(password)) {
    con <- dbConnect(drv, user=user,host=host,password=password, dbname=database)
  }
  
  if (!is.null(file)) {
  apid.interaction <- read.table(file, header=TRUE, sep="\t", stringsAsFactors=FALSE ,fill=TRUE)
  
  apid.interaction <- apid.interaction[,c(3,5,2,4,6:10)]
  
  colnames(apid.interaction) <- c("GeneID_1","GeneID_2", "FROM_ID", "TO_ID", "Experiments","Methods","Publications","X3DStructures","CurationEvents")
  }
  
  if (!is.null(ppi)) {
  
    apid.interaction <- ppi
  
  }
  dbWriteTable(con, "PROTEINPAIR" , apid.interaction,sep="\t",  row.names = FALSE,append=TRUE)
  
  return(TRUE)
}