KeggXML2SqlDatabase <-
function(user=NULL,host=NULL, driver="MySQL",password=NULL,grant="FALSE",grant.name="KeggSQL",grant.pw="KeggSQL",directory=NULL,database=NULL, getKGML=FALSE, tricode=NULL, kegbr=NULL, referenceTable=NULL){

  
  if(is.null(referenceTable)){
referenceTable <- data(referenceTable)
  }
drv <- dbDriver(driver)

if(is.null(user) ) stop ("Input user is missing.")
if(is.null(host) ) stop ("Input host is missing.")
 #if(is.null(password) ) stop ("Input password is missing. If you do not have a password, please select ")
if(is.null(database) )stop ("Input database is missing.")
if(is.null(directory) )stop ("Please select directory of KGML-files.")
if(is.null(tricode) )stop ("Please select KEGG's code of the species (for example hsa= homo sapiens -> tricode=\"hsa\").")

if(getKGML==TRUE){

#if(is.null(kegbr)){ stop ("Please select file br***.keg .")}

KGML <- getKGML(kegbr=kegbr, directory=directory ,tricode=tricode)

}

dbstr <- parsebrkegg(kegbr, tricode)

#con <- dbConnect(drv, user="KeggSQL", host="localhost", password="KeggSQL")
		if (is.null(password)){
		 con <- dbConnect(drv, user=user,host=host)
					}
		if (!is.null(password)) {
		con <- dbConnect(drv, user=user,host=host,password=password)
					}



if(grant=="TRUE"){

grant <- paste("Grant All privileges on *.* TO ", grant.name, "@", "'", database,"' IDENTIFIED BY '", grant.pw,"' WITH GRANT OPTION", sep="")

dbSendQuery(con,statement=grant)

print(grant)

}

# sfInit()
#  sfLapply(lista,parseDataframerelation)

PathwayDataFrame_Relation_compl <- parseDataframerelation(directory)



PathwayDataFrame_compl <- parsekeggdata(directory, referenceTable=referenceTable, Print=TRUE)

if (is.null(password)){
  con <- dbConnect(drv, user=user,host=host)
}
if (!is.null(password)) {
  con <- dbConnect(drv, user=user,host=host,password=password)
}

#print("0")
dropDB <- paste("drop database if exists ", database, sep="")
dbSendQuery(con,statement=dropDB)
#print("1")
createDB <- paste("create database ", database,sep="")
dbSendQuery(con,statement=createDB)
dbDisconnect(con)
#print("2")

if (is.null(password)){
  con <- dbConnect(drv, user=user,host=host, dbname=database)
}
if (!is.null(password)) {
  con <- dbConnect(drv, user=user,host=host,password=password, dbname=database)
}


### Start - Queries_KeggMySQL_basic

dbSendQuery(con,statement="drop table if exists Path2enet_KeggRelation")
dbSendQuery(con,statement="CREATE TABLE Path2enet_KeggRelation (  Pathwaytitle  char(80)  DEFAULT NULL,    PathwayID  char(50)  DEFAULT NULL,    Entry1ID   integer(6)  NOT NULL,    Entry2ID   integer(6) NOT NULL,    Proteinreaction  char(50) NOT NULL,    Subtype   char(50) NOT NULL,    Subtype2   char(50) NOT NULL    ) ENGINE=MyISAM DEFAULT CHARSET=latin1")
#dbSendQuery(con,statement=createTableKeggrelation3)

colRelation <- list("Pathwaytitle","PathwayID","Entry1ID", "Entry2ID", "Proteinreaction", "Subtype", "Subtype2")
colnames(PathwayDataFrame_Relation_compl) <- colRelation
df.Relation <- as.data.frame(PathwayDataFrame_Relation_compl, stringsAsFactors=FALSE)
#print(PathwayDataFrame_Relation_compl)
#print(PathwayDataFrame_Relation_compl[1,])
#return(PathwayDataFrame_Relation_compl)

dbWriteTable(con, "Path2enet_KeggRelation" , df.Relation,sep="\t",  row.names = FALSE,append=TRUE)

dbSendQuery(con,statement="alter table Path2enet_KeggRelation add index(Pathwayid)")
dbSendQuery(con,statement="alter table Path2enet_KeggRelation add index(Pathwaytitle)")
dbSendQuery(con,statement="alter table Path2enet_KeggRelation add index (Entry1ID)")
dbSendQuery(con,statement="alter table Path2enet_KeggRelation add index (Entry2ID)")
dbSendQuery(con,statement="alter table Path2enet_KeggRelation add index(Proteinreaction)")
dbSendQuery(con,statement="alter table Path2enet_KeggRelation add index(Subtype)")
dbSendQuery(con,statement="alter table Path2enet_KeggRelation add index(Subtype2)")

dbSendQuery(con,statement="drop table if exists Temp")
dbSendQuery(con,statement="CREATE TABLE Temp (  Pathwaytitle  char(60)  DEFAULT NULL,  PathwayID  char(50)  DEFAULT NULL,    KeggID   text(500)  NOT NULL,    GeneID   text(500) NOT NULL,    EntryID   integer(6) NOT NULL,    Type   char(50) NOT NULL,    Displayname  text(500)  NOT NULL  ) ENGINE=MyISAM DEFAULT CHARSET=latin1")

#dbSendQuery(con,statement=createTableComplete3)
colTemp <- list("Pathwaytitle","PathwayID","KeggID", "GeneID", "EntryID", "Type", "Displayname")
colnames(PathwayDataFrame_compl) <- colTemp

df.Data <- as.data.frame(PathwayDataFrame_compl, stringsAsFactors=FALSE)
dbWriteTable(con, "Temp" , df.Data , sep="\t", row.names = FALSE,append=TRUE)

dbSendQuery(con,statement="alter table Temp add index(Pathwaytitle)")
dbSendQuery(con,statement="alter table Temp add index(Pathwayid)")
dbSendQuery(con,statement="alter table Temp add index (KeggID(10))")
dbSendQuery(con,statement="alter table Temp add index (GeneID(10))")
dbSendQuery(con,statement="alter table Temp add index (EntryID)")
dbSendQuery(con,statement="alter table Temp add index (Type(10))")
dbSendQuery(con,statement="alter table Temp add index (Displayname(10))")

dbSendQuery(con,statement="drop table if exists Path2enet_CountFalseProtein")
dbSendQuery(con,statement="create table Path2enet_CountFalseProtein select PathwayID,EntryID,Displayname, count(*) as Proteinnr  from  Temp  group by  PathwayID,EntryID")
dbSendQuery(con,statement="alter table Path2enet_CountFalseProtein add index (Pathwayid)")
dbSendQuery(con,statement="alter table Path2enet_CountFalseProtein add index (EntryID)")
dbSendQuery(con,statement="alter table Path2enet_CountFalseProtein add index (Displayname(10))")
dbSendQuery(con,statement="alter table Path2enet_CountFalseProtein add index (Proteinnr)")

dbSendQuery(con,statement="drop table if exists Path2enet_KeggDatabase")
dbSendQuery(con,statement="create table Path2enet_KeggDatabase select t1.Pathwaytitle, t1.Pathwayid,t1.GeneID,t1.KeggID,t1.EntryID,t1.Type,t1.Displayname,t2.Proteinnr as NrParalogous from Temp t1 left join Path2enet_CountFalseProtein t2 on (t1.PathwayID=t2.PathwayID and t1.Displayname=t2.Displayname and t1.EntryID=t2.EntryID) order by Pathwaytitle,GeneID")
dbSendQuery(con,statement="drop table if exists Temp")

dbSendQuery(con,statement="alter table Path2enet_KeggDatabase add index(Pathwaytitle)")
dbSendQuery(con,statement="alter table Path2enet_KeggDatabase add index(Pathwayid)")
dbSendQuery(con,statement="alter table Path2enet_KeggDatabase add index (KeggID(10))")
dbSendQuery(con,statement="alter table Path2enet_KeggDatabase add index (GeneID(10))")
dbSendQuery(con,statement="alter table Path2enet_KeggDatabase add index (EntryID)")
dbSendQuery(con,statement="alter table Path2enet_KeggDatabase add index (Type(10))")
dbSendQuery(con,statement="alter table Path2enet_KeggDatabase add index (Displayname(10))")

dbSendQuery(con,statement="drop Table if exists Path2enet_KeggRelationWithFalse")
dbSendQuery(con,statement="Create Table Path2enet_KeggRelationWithFalse select  r.Pathwaytitle, r.PathwayID, r.Entry1ID, d.Proteinnr as NrParalogous, r.Entry2ID, r.Proteinreaction, r.Subtype, r.Subtype2  From Path2enet_KeggRelation r left join Path2enet_CountFalseProtein d on (r.Pathwayid = d.Pathwayid and  r.Entry1ID = d.EntryID )"
)
dbSendQuery(con,statement="drop Table if exists Path2enet_KeggRelationWithFalse_complete")
dbSendQuery(con,statement="Create Table Path2enet_KeggRelationWithFalse_complete select r.Pathwaytitle, r.PathwayID, r.Entry1ID, r.NrParalogous, r.Entry2ID, d.Proteinnr as NrParalogous2, r.Proteinreaction, r.Subtype, r.Subtype2 From Path2enet_KeggRelationWithFalse r left join Path2enet_CountFalseProtein d on (r.Pathwayid = d.Pathwayid and r.Entry2ID = d.EntryID)")

dbSendQuery(con,statement="drop table if exists Path2enet_Relations")
dbSendQuery(con,statement="create table Path2enet_Relations select r.Pathwaytitle,r.Pathwayid,d.Geneid GeneID_1,d.Keggid KeggID_1,d.Displayname Displayname_1, d.EntryID EntryID_1, r.NrParalogous,d2.Geneid GeneID_2,d2.KeggID KeggID_2,d2.Displayname Displayname_2, d2.EntryID EntryID_2,r.NrParalogous2, r.Proteinreaction, r.Subtype, r.Subtype2 from Path2enet_KeggRelationWithFalse_complete r, Path2enet_KeggDatabase d,  Path2enet_KeggDatabase d2  where  r.pathwayid=d.pathwayid and r.entry1id=d.entryid and r.pathwayid=d2.pathwayid and r.entry2id=d2.entryid order by Pathwaytitle, d.Geneid")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(Pathwayid)")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(Pathwaytitle)")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(GeneID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(KeggID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(GeneID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(KeggID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(Proteinreaction)")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(Subtype)")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(Subtype2)")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(NrParalogous)")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(NrParalogous2)")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(Displayname_1(10))")
dbSendQuery(con,statement="alter table Path2enet_Relations add index(Displayname_2(10))")

#dbSendQuery(con,statement=as.character(subset(dbstr, Subtable=="Metabolism", select=c(4))))
#dbSendQuery(con,statement=as.character(subset(dbstr, Subtable=="Genetic_Information_Processing", select=c(4))))
#dbSendQuery(con,statement=as.character(subset(dbstr, Subtable=="Environmental_Information_Processing", select=c(4))))
#dbSendQuery(con,statement=as.character(subset(dbstr, Subtable=="Organismal_Systems", select=c(4))))
#dbSendQuery(con,statement=as.character(subset(dbstr, Subtable=="Human_Diseases", select=c(4))))
#dbSendQuery(con,statement=as.character(subset(dbstr, Subtable=="Drug_Development", select=c(4))))

dbstr.sub <- dbstr[dbstr$Subtable!="Total",]

for(m in 1:length(dbstr.sub$Subtable)){

Sys.sleep(0.1)
cat("\r", m ,"of" , length(dbstr.sub$Subtable))

dropcom <- paste("drop table if exists ",dbstr.sub$Subtable[m], sep="")
dbSendQuery(con,statement=dropcom)
dbSendQuery(con,statement=as.character(subset(dbstr.sub, Subtable==dbstr.sub$Subtable[m], select=c(4))[[1]]))

}

## All Pathway but no Cancer annotated pathways
cancer.sub <- NULL
for(i in 1: length(grep("Path2enet_Cancers", dbstr.sub$Subtable))){
cancer.pre <- as.character(subset(dbstr.sub, Subtable==dbstr.sub$Subtable[grep("Path2enet_Cancers", dbstr.sub$Subtable)[i]], select=c(3)))
cancer.sub <- as.character(cbind(cancer.sub, cancer.pre))
}

dbSendQuery(con,statement="drop table if exists Path2enet_NonCancerPathwayrelation")
dbSendQuery(con,statement=paste("create table Path2enet_NonCancerPathwayrelation select * from Path2enet_Relations where Pathwayid NOT IN (", cancer.sub, ")   order by   Pathwaytitle, GeneID_1", sep =""))


dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (GeneID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (GeneID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (KeggID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (KeggID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (Pathwaytitle)")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (Pathwayid)")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (Proteinreaction)")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (Subtype)")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (Subtype2)")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (Displayname_1(10))")
dbSendQuery(con,statement="alter table Path2enet_NonCancerPathwayrelation add index (Displayname_2(10))")

## All Cancer annotated pathways

dbSendQuery(con,statement="drop table if exists Path2enet_Cancers")
dbSendQuery(con,statement=paste("create table Path2enet_Cancers select * from Path2enet_Relations where Pathwayid IN (", cancer.sub, ")   order by   Pathwaytitle, GeneID_1", sep =""))

dbSendQuery(con,statement="alter table Path2enet_Cancers add index (GeneID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (GeneID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (KeggID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (KeggID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (Pathwaytitle)")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (Pathwayid)")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (Proteinreaction)")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (Subtype)")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (Subtype2)")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (Displayname_1(10))")
dbSendQuery(con,statement="alter table Path2enet_Cancers add index (Displayname_2(10))")

## Pathwayrelations which are Only in Cancer but not in Normal pathways

dbSendQuery(con,statement="drop table if exists Path2enet_PathwayRelationsOnlyInCancerNotNormal")
dbSendQuery(con,statement="create table Path2enet_PathwayRelationsOnlyInCancerNotNormal select distinct t1.Pathwaytitle,  t1.Pathwayid, t1.GeneID_1, t1.KeggID_1,t1.Displayname_1,t1.EntryID_1,t1.NrParalogous, t1.GeneID_2, t1.KeggID_2,t1.Displayname_2,t1.EntryID_2, t1.NrParalogous2, t1.Proteinreaction, t1.Subtype, t1.Subtype2,  t2.GeneID_1 as OnlyInCancer from Path2enet_Cancers t1  left join Path2enet_Normal t2 on( (t1.GeneID_1=t2.GeneID_1 and t1.GeneID_2=t2.GeneID_2) or (t1.GeneID_1=t2.GeneID_2 and t1.GeneID_2=t2.GeneID_1) )  order by OnlyInCancer,Pathwaytitle,GeneID_1")
dbSendQuery(con,statement="update Path2enet_PathwayRelationsOnlyInCancerNotNormal set OnlyInCancer='no' where OnlyInCancer is not null")
dbSendQuery(con,statement="update Path2enet_PathwayRelationsOnlyInCancerNotNormal set OnlyInCancer='yes' where OnlyInCancer is null")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (GeneID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (GeneID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (KeggID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (KeggID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (Pathwaytitle)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (Pathwayid)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (Proteinreaction)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (Subtype)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (Subtype2)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (Displayname_1(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInCancerNotNormal add index (Displayname_2(10))")

## Pathwayrelations which are Only in Normal but not in Normal pathways

dbSendQuery(con,statement="drop table if exists Path2enet_PathwayRelationsOnlyInNormalNotCancer")
dbSendQuery(con,statement="create table Path2enet_PathwayRelationsOnlyInNormalNotCancer select distinct t1.Pathwaytitle,  t1.Pathwayid, t1.GeneID_1, t1.KeggID_1,t1.Displayname_1,t1.EntryID_1,t1.NrParalogous, t1.GeneID_2, t1.KeggID_2,t1.Displayname_2,t1.EntryID_2,t1.NrParalogous2, t1.Proteinreaction, t1.Subtype, t1.Subtype2,  t2.GeneID_1 as OnlyInNormal from Path2enet_Normal t1  left join Path2enet_Cancers t2 on( (t1.GeneID_1=t2.GeneID_1 and t1.GeneID_2=t2.GeneID_2) or (t1.GeneID_1=t2.GeneID_2 and t1.GeneID_2=t2.GeneID_1) )  order by OnlyInNormal,Pathwaytitle,GeneID_1")
dbSendQuery(con,statement="update Path2enet_PathwayRelationsOnlyInNormalNotCancer set OnlyInNormal='no' where OnlyInNormal is not null")
dbSendQuery(con,statement="update Path2enet_PathwayRelationsOnlyInNormalNotCancer set OnlyInNormal='yes' where OnlyInNormal is null")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (GeneID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (GeneID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (KeggID_1(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (KeggID_2(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (Pathwaytitle)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (Pathwayid)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (Proteinreaction)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (Subtype)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (Subtype2)")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (Displayname_1(10))")
dbSendQuery(con,statement="alter table Path2enet_PathwayRelationsOnlyInNormalNotCancer add index (Displayname_2(10))")

dbDisconnect(con)
}
