addFunParalogs <- function(igraph=igraph, dbDriver="MySQL", dbUser="path2enet", dbHost="localhost", dbName="KeggSQL", password="path2enet",dbData="KeggDatabase", paraName="FunctionalParalogs"){

  names <- get.vertex.attribute(igraph, "name")
  
  names <- gsub("_id.*$", "", names)
  
  func.paralogs.list <- list()
  
  for(i in 1:length(names)){
  
  pralogs <- try(searchParalogos(dbDriver=dbDriver, dbUser=dbUser, dbHost=dbHost, dbName=dbName, password=password, GeneID=names[i]), silent=TRUE)
  
  if(nrow(pralogs)>0){
    
    
    for (gr in 1:nrow(pralogs)){
      
      if(gr == 1){
        group <- paste("|", pralogs[[1]][gr], "|", sep="")
      }
      else{
        group <- paste(  group,pralogs[[1]][gr],"|", sep="")
      }
      
      func.paralogs.list[i] <- group
    
    }
      
    }
  }
  
  igraph <-set.vertex.attribute(igraph, name=paraName, value=unlist(func.paralogs.list[1:length(func.paralogs.list)]))
  
  unique.func <- unique(unlist(func.paralogs.list[1:length(func.paralogs.list)]))
  col.pre <- rainbow(length(unique.func))
  col  <- colorRampPalette(col.pre)(length(unique.func))
  col <- col[sample(length(col))]

  colours <- NULL
  
  for(grpara in 1:length(unique.func)){
   
    col_pre <- get.vertex.attribute(igraph, paraName)==unique.func[[grpara]]
    colours[col_pre] <- col[[grpara]]
        
  }
  
  igraph <- set.vertex.attribute(igraph, "color", value=colours)
  
  return(igraph)
  
  }
  
