bar2est <-
function(igraph, uniattr, barattr, funcionalgroup="FALSE", vertex.attribute=NULL, saveName="Plotbar2est", layoutComplete=NULL, layoutReduced=NULL, pointsize=6, Paralogs="FALSE"){
  
  mycircle <- function(coords, v=NULL, params) {
    vertex.color <- params("vertex", "color")
    if (length(vertex.color) != 1 && !is.null(v)) {
      vertex.color <- vertex.color[v]
    }
    vertex.size  <- 1/200 * params("vertex", "size")
    if (length(vertex.size) != 1 && !is.null(v)) {
      vertex.size <- vertex.size[v]
    }
    vertex.frame.color <- params("vertex", "frame.color")
    if (length(vertex.frame.color) != 1 && !is.null(v)) {
      vertex.frame.color <- vertex.frame.color[v]
    }
    vertex.frame.width <- params("vertex", "frame.width")
    if (length(vertex.frame.width) != 1 && !is.null(v)) {
      vertex.frame.width <- vertex.frame.width[v]
    }
    mapply(coords[,1], coords[,2], vertex.color, vertex.frame.color,
           vertex.size, vertex.frame.width,
           FUN=function(x, y, bg, fg, size, lwd) {
             symbols(x=x, y=y, bg=bg, fg=fg, lwd=lwd,
                     circles=size, add=TRUE, inches=FALSE)
           })
  }
  
  group.colorize <- function(igraph, group){
    testgroup <- cbind(V(igraph)$name,get.vertex.attribute(igraph, group))
    testgroup[,1] <- gsub(":(.)*$", "", testgroup[,1])
    testgroup[,1] <- gsub("_(.)*$", "", testgroup[,1])
    testgroup[is.na(testgroup[,2]),2] <- testgroup[is.na(testgroup[,2]),1]
    
    igraph <- set.vertex.attribute(igraph, name=group, value=testgroup[,2] )
    
    upara <- unique(get.vertex.attribute(igraph, group))
    upara <- upara[!is.na(upara)]
    group.names <- get.vertex.attribute(igraph, group)
    
    
    colbar.end <- NULL
    for(ncolors in 1:ceiling(length(upara)/12)){
      
      min <- ncolors/(ceiling(length(upara)/12)+1)
      #print(min)
      colbar <- rainbow(12, start=0, end=1, s=(0.99-min), v=0.99, alpha=1)
      #print(colbar)
      colbar.end <- c(colbar.end, colbar)
    }  
    
    k <- 1
    
    for(col in upara){  
      
      V(igraph)[ group.names%in%col ]$color <- colbar.end[k]
      
      k <- k+1
    }
    return(igraph)
  }
  
  if(Paralogs!="FALSE"){
  igraph <- group.colorize(igraph, "Paralogs")
  }
  
  if(!is.null(vertex.attribute)){
  mklegend <- function(lgraph=NULL, vertex.attribute=NULL){
    
    try(attr <- as.numeric(get.vertex.attribute(lgraph, vertex.attribute)))
    
    try(wna.attr <- attr[!is.na(attr)])
    
    quantile <- quantile(wna.attr)   
    
    quantile.size <- quantile(as.numeric(V(lgraph)$size))
    
    text(((-2.25 + (0.0083*as.numeric(quantile.size[c(5)])*1.1))/2),(-1.3 + (0.02*as.numeric(quantile.size[c(5)])*1.1) +(0.02*as.numeric(quantile.size[c(3)])*1.1) ),  paste("Node Size", vertex.attribute, sep=" - "))
    
    points(-1.1,(-1.35 + (0.02*as.numeric(quantile.size[c(5)])*1.1) +(0.02*as.numeric(quantile.size[c(3)])*1.1) ), pch=21, cex=(as.numeric(quantile.size[c(1)])*1.1))
    text((-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)),(-1.35 + (0.02*as.numeric(quantile.size[c(5)])*1.1) +(0.02*as.numeric(quantile.size[c(3)])*1.1) ),  round(quantile[c(1)],2))
    
    points(-1.1,(-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)), pch=21, cex=(as.numeric(quantile.size[c(3)])*1.1))
    text((-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)),(-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)),   round(quantile[c(3)],2))
    
    points(-1.1,-1.1, pch=21, cex=(as.numeric(quantile.size[c(5)])*1.1))
    text((-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)),-1.1,  round(quantile[c(5)],2))
            
    legend("topright", title="Edges", c("activation", "inhibition", "expression", "phosphorylation", "other subtypes", "No subtypes", "Same relations \n in both graphs"), col=c("blue","red", "green", "orange", "magenta", "black", "black"), lty=1, lwd=c(1,1,1,1,1,1,2))
    
    legend("topleft", title="Nodes ", c("Node color: Functional Paralogs", "Node size: Value Node attribute", "Node Border Color", "Blue: Barcode-Value > 0", "Yellow: EST-Value>0", "Green: Barcode+EST-values > 0", "Black: No informacion" ), col=c("red","black", "black", "blue", "yellow", "green", "black"), pch=19, cex=1.2)
    
  }
  }
  
  add.vertex.shape("fcircle", clip=igraph.shape.noclip,
                   plot=mycircle, parameters=list(vertex.frame.color=1,
                                                  vertex.frame.width=1))
  
  igraph <- set.edge.attribute(igraph, name="width", value=ifelse(!is.na(get.edge.attribute(igraph, "Intersection")), yes=2, no=1))
  E(igraph)$color <- "black"
  E(igraph)[get.edge.attribute(igraph, "Subtype")=="activation"]$color <- "blue"
  E(igraph)[get.edge.attribute(igraph, "Subtype")=="inhibition"]$color <- "red"
  E(igraph)[get.edge.attribute(igraph, "Subtype")=="expression"]$color <- "green"
  E(igraph)[get.edge.attribute(igraph, "Subtype")=="phosphorylation" ]$color <- "orange"
  E(igraph)[get.edge.attribute(igraph, "Subtype") == "dephosphorylation" || get.edge.attribute(igraph, "Subtype") == "repression" || get.edge.attribute(igraph, "Subtype") == "ubiquination" ]$color <- "yellow"
  
  
  try(igraph <- remove.vertex.attribute(graph=igraph, name="vertex.frame.color"), silent=TRUE)
  
  
  V(igraph)$vertex.frame.color[ get.vertex.attribute(graph=igraph, name=barattr) > 0 & get.vertex.attribute(graph=igraph, name=uniattr) == 0 ] <- "yellow"
  V(igraph)$vertex.frame.color[ get.vertex.attribute(graph=igraph, name=barattr) > 0 ] <- "blue"
  V(igraph)$vertex.frame.color[ get.vertex.attribute(graph=igraph, name=barattr) == 0 ] <- "black"
  #V(igraph)$color[ is.na(V(igraph)$"OnOff") & is.na(V(igraph)$"liver") ] <- "black"
  V(igraph)$vertex.frame.color[ get.vertex.attribute(graph=igraph, name=barattr) > 0 & get.vertex.attribute(graph=igraph, name=uniattr) > 0 ] <- "green"
  
    
  if(funcionalgroup==TRUE){
  
  gr.n <- V(igraph)$"name"
  t.final <- NULL
  
  for(gr.l in 1:length(gr.n)){
    t <-  get.adjedgelist(igraph)[gr.l][[1]]
    t.final <- c(t.final, t)}
  
  edges <- get.data.frame(igraph)
  pt <- unique(E(igraph)$Pathwaytitle)
  l.edges <- lapply(pt, function(x) subset(edges, subset=Pathwaytitle==x, select=c("from", "to", "Pathwaytitle")))
  
  n.edges <- lapply(l.edges, function(x) unique(x$from,x$to))
  tg.num <- lapply(n.edges, function(x) unlist(lapply(x, function(y) grep(y, V(igraph)$"name"))))
  
  plot.igraph(igraph, vertex.label=gsub("_HUMAN", "", V(igraph)$"name"), mark.groups=list(c(unlist(lapply(gr.n, function(x) grep(x, V(igraph)$"name")))), c(unlist(lapply(gr.m, function(x) grep(x, V(igraph)$"name"))))))
  
  graph.del <- igraph
  
  del <- V(igraph)$name[ get.vertex.attribute(graph=igraph, name=barattr) == 0 ]
  
  graph.del2 <- delete.vertices(igraph, v=del[!is.na(del)])
  
  plot.igraph(graph.del2, vertex.label=gsub("_HUMAN", "", V(graph.del2)$"name"), mark.groups=list(c(unlist(lapply(gr.n, function(x) grep(x, V(graph.del2)$"name")))), c(unlist(lapply(gr.m, function(x) grep(x, V(graph.del2)$"name"))))))
 
  return.list <- list()
  return.list[[1]] <- igraph
  return.list[[2]] <- graph.del2
  
    
  }
  
  else{
    
    
    pdf(paste(saveName, "_complete.pdf", sep=""),  width=10.42, height=10.42, pointsize=pointsize)      
    
    plot.igraph(igraph,  vertex.shape="fcircle", vertex.label=gsub("_HUMAN", "", V(igraph)$"name"), vertex.frame.color=V(igraph)$vertex.frame.color, vertex.frame.width=3, edge.color=E(igraph)$color, layout=layoutComplete)
        
    mklegend(lgraph=igraph, vertex.attribute=vertex.attribute)
    
    dev.off()
    
    del <- V(igraph)$name[ get.vertex.attribute(graph=igraph, name=barattr) == 0 ]
    
    graph.del2 <- delete.vertices(igraph, v=del[!is.na(del)])
#   
    pdf(paste(saveName, "_reducedEdges.pdf", sep=""),  width=10.42, height=10.42, pointsize=pointsize)  
    
     plot.igraph(graph.del2,  vertex.shape="fcircle", vertex.label=gsub("_HUMAN", "", V(graph.del2)$"name"), vertex.frame.color=V(graph.del2)$vertex.frame.color, vertex.frame.width=3,  edge.color=E(graph.del2)$color, layout=layoutReduced)
    
    mklegend(lgraph=graph.del2, vertex.attribute=vertex.attribute)
    
    dev.off()
    
    return.list <- list()
    return.list[[1]] <- igraph
    return.list[[2]] <- graph.del2
    
  }
   names(return.list) <- c("graph_complete", "graph_reduced")
  
  return(return.list)
  
}
