biGraph <-
function(igraph, intersection="FALSE"){

  
  gra <- igraph

  if(intersection==TRUE){
 edgema <- matrix(nrow=length(get.edgelist(gra)[,1]), ncol=6)
 edgema[,6] <- get.edge.attribute(gra, name=c("Intersection"))
  }
  else{
  
    edgema <- matrix(nrow=length(get.edgelist(gra)[,1]), ncol=5)
    
  }
  
 edgema[,1:2] <- get.edgelist(gra)
 edgema[,4] <- get.edge.attribute(gra, name=c("Subtype"))
 edgema[,5] <- get.edge.attribute(gra, name=c("Subtype2"))
  
 
 head(edgema)



for(i in 1:length(edgema[,1])){
  
  direction <- "start"
  
  #activation
  switch(edgema[i,4] == "activation" && edgema[i,5] == "NA", direction <- "a")
  switch(edgema[i,4] == "activation" && edgema[i,5] == "phosphorylation", direction <- "a") 
  switch(edgema[i,4] == "activation" && edgema[i,5] == "dephosphorylation", direction <- "a") 
  switch(edgema[i,4] == "activation" && edgema[i,5] == "indirect effect", direction <- "a") 
  switch(edgema[i,4] == "activation" && edgema[i,5] == "binding/association", direction <- "a")
  switch(edgema[i,4] == "activation" && edgema[i,5] == "ubiquitination ", direction <- "a") 
  switch(edgema[i,4] == "activation" && edgema[i,5] == "inhibition", direction <- "a")
  
  #inhibition
  switch(edgema[i,4] == "inhibition" && edgema[i,5] == "phosphorylation", direction <- "a")
  switch(edgema[i,4] == "inhibition" && edgema[i,5] == "NA", direction <- "a")
  switch(edgema[i,4] == "inhibition" && edgema[i,5] == "indirect effect", direction <- "a")
  switch(edgema[i,4] == "inhibition" && edgema[i,5] == "dephosphorylation", direction <- "a")
  switch(edgema[i,4] == "inhibition" && edgema[i,5] == "ubiquitination", direction <- "a")
  switch(edgema[i,4] == "inhibition" && edgema[i,5] == "binding/association", direction <- "a")

    
  #expression
  
  switch(edgema[i,4] == "expression" && edgema[i,5] == "NA", direction <- "a")
  switch(edgema[i,4] == "expression" && edgema[i,5] == "indirect effect", direction <- "a")
  
  
  #compound
  
  switch(edgema[i,4] == "compound" && edgema[i,5] == "NA", direction <- "a")
  switch(edgema[i,4] == "compound" && edgema[i,5] == "expression", direction <- "a")
  switch(edgema[i,4] == "compound" && edgema[i,5] == "activation ", direction <- "a") 
  switch(edgema[i,4] == "compound" && edgema[i,5] == "inhibition", direction <- "a")
  
  #state change
  
  switch(edgema[i,4] == "state change" && edgema[i,5] == "NA", direction <- "a")
  
  #indirect effect
  
  switch(edgema[i,4] == "indirect effect" && edgema[i,5] == "NA", direction <- "a")
  switch(edgema[i,4] == "phosphorylation" && edgema[i,5] == "indirect effect", direction <- "a")
  switch(edgema[i,4] == "dephosphorylation" && edgema[i,5] == "indirect effect", direction <- "a")
  switch(edgema[i,4] == "indirect effect" && edgema[i,5] == "phosphorylation", direction <- "a")
  
  #dissociation
  
  switch(edgema[i,4] == "dissociation" && edgema[i,5] == "NA", direction <- "a")
  switch(edgema[i,4] == "dissociation" && edgema[i,5] == "missing interaction", direction <- "a")
  switch(edgema[i,4] == "phosphorylation" && edgema[i,5] == "dissociation", direction <- "a")
  
  #methylation
  
  switch(edgema[i,4] == "methylation" && edgema[i,5] == "NA", direction <- "a")
  
  #repression
  
  switch(edgema[i,4] == "repression" && edgema[i,5] == "NA", direction <- "a")
  switch(edgema[i,4] == "repression" && edgema[i,5] == "indirect effect", direction <- "a")
  
  #ubiquitination
  
  switch(edgema[i,4] == "ubiquitination" && edgema[i,5] == "NA", direction <- "a")
  switch(edgema[i,4] == "ubiquitination" && edgema[i,5] == "inhibition", direction <- "a")
  
  #binding/association
  
  switch(edgema[i,4] == "binding/association" && edgema[i,5] == "NA", direction <- "l") 
  switch(edgema[i,4] == "binding/association" && edgema[i,5] == "missing interaction", direction <- "l")
  switch(edgema[i,4] == "binding/association" && edgema[i,5] == "indirect effect", direction <- "a") 
  switch(edgema[i,4] == "phosphorylation" && edgema[i,5] == "binding/association", direction <- "b") 
  
  #phosphorylation
  
  switch(edgema[i,4] == "phosphorylation" && edgema[i,5] == "NA", direction <- "a")
  
  #dephosphorylation
  
  switch(edgema[i,4] == "dephosphorylation" && edgema[i,5] == "NA", direction <- "a")
  
  #group
  
  switch(edgema[i,4] == "group" && edgema[i,5] == "NA", direction <- "l")
  
  #missing interaction
  
  switch(edgema[i,4] == "missing interaction" && edgema[i,5] == "NA", direction <- "l")
  switch(edgema[i,4] == "NA" && edgema[i,5] == "NA", direction <- "l")
  
  edgema[i,3] <- direction
  
  if(i==1){ graph.finish <- as.character(c(edgema[i,3], edgema[i,1:2]))}
  
  edgedf <- as.data.frame(edgema)
  
  if(intersection==TRUE){
   
    names(edgedf) <- c(" "," ", "Edge.type", "Subtype", "Subtype2", "Intersection")
    
  }
  
  else{
    
    names(edgedf) <- c(" "," ", "Edge.type", "Subtype", "Subtype2")
    
  }
  
  igraph <- graph.data.frame(edgedf)
  
  name <- V(igraph)$name
  name <- as.data.frame(name)
  mergeit <- merge(name, Unitissue, by.x = "name", by.y = "ID", all.x = TRUE)

  igraph.un <- graph.data.frame(edgedf, directed = FALSE, vertices = mergeit)
  igraph.dir <- graph.data.frame(edgedf, directed = TRUE, vertices = mergeit)
  
  graph.tmp <- as.character(c(edgema[i,3], edgema[i,1:2]))
  graph.finish <- as.character(c(graph.finish, graph.tmp))
  
  ma <- ggm::AG(graph.finish, plot = FALSE)
  
    
  graph <- list(graph.finish, ma, edgedf, igraph.un, igraph.dir)
  names(graph) <- c("ggm.graph", "ggm.adjma", "edgedf", "igraph.un", "igraph.dir")
  
}
  
  return(graph)
  
}
