createEstByTissue <-
function(dbDriver=NULL, dbUser=NULL,dbHost=NULL,password=NULL, dbData=NULL, cancer_source=NULL, developmental_stage="adult", referenceTable=NULL, check=NULL){

    if(is.null(dbUser) ) stop ("Input dbUser is missing.")
    if(is.null(dbHost) ) stop ("Input dbHost is missing.")
    #if(is.null(password) ) stop ("Input password is missing. If you do not have a password, please select ")
    if(is.null(dbData) )stop ("Input dbData is missing.")
     
 
   
     
    drv <- dbDriver(dbDriver)
    
    if (is.null(password)){
      con <- dbConnect(drv, user=dbUser,host=dbHost, dbname=dbData)
    }
    if (!is.null(password)) {
      con <- dbConnect(drv, user=dbUser,host=dbHost,password=password, dbname=dbData)
    }
      
      if(!is.null(check)){
        
        select_developmentalstage <- "select distinct developmental_stage from gene_est_tissue;"
        select_cancersource <- "select distinct cancer_source from gene_est_tissue;"
        res <-dbSendQuery(con,statement=select_developmentalstage)
        result1 <- fetch(res)
        dbClearResult(res)
        print(result1)
        res <-dbSendQuery(con,statement=select_cancersource)
        result2 <- fetch(res)
        print(result2)
        dbClearResult(res)
        dbDisconnect(con)
        
        result <- list(result1, result2)
        
        names(result) <- c("developmental_stage", "cancer_source")
        
        return(result)
      }

   if(is.null(cancer_source)){ cancer_source <- "is Null"}
    else{ cancer_source <- paste(" IN ('", cancer_source, "')", sep="")}
    
    if(is.null(developmental_stage)){ developmental_stage <- "is Null"}
    else{ developmental_stage <- paste(" IN ('", developmental_stage, "')", sep="")}
    
est_by_genetissue1 <- "drop table if exists est_by_genetissue_ind;"
est_by_genetissue2 <- paste("create table est_by_genetissue_ind
  		select id,tissue,count(clone) 
			from gene_est_tissue
			where cancer_source ", cancer_source, " 
      AND developmental_stage ", developmental_stage, " 
      group by
			id,tissue;", sep="")
    
    #print(est_by_genetissue2)
    
est_by_genetissue3 <- "delete from est_by_genetissue where id is null;"
est_by_genetissue4 <- "delete from est_by_genetissue where tissue is null;"

est_by_genetissue1 <-dbSendQuery(con,statement=est_by_genetissue1)
est_by_genetissue2 <-dbSendQuery(con,statement=est_by_genetissue2)
est_by_genetissue3 <-dbSendQuery(con,statement=est_by_genetissue3)
est_by_genetissue4 <-dbSendQuery(con,statement=est_by_genetissue4)

est_by_symboltissue1 <- "drop table if exists est_by_symboltissue_ind;"

est_by_symboltissue2 <- paste("create table est_by_symboltissue_ind
select gene,tissue,count(clone) num_ESTs
from gene_est_tissue
where 
cancer_source ", cancer_source, " and 
developmental_stage ", developmental_stage, " 
group by
gene,tissue
having gene is not null and
num_ESTs>0;", sep="")

    #print(est_by_symboltissue2)
    
est_by_symboltissue1 <-dbSendQuery(con,statement=est_by_symboltissue1)
    est_by_symboltissue2 <-dbSendQuery(con,statement=est_by_symboltissue2)  
    
get_genetissue <- "select * from est_by_genetissue_ind;"
get_symboltissue <- "select * from est_by_symboltissue_ind;"
    
    res <- dbSendQuery(con,statement=get_genetissue)
    est_by_genetissue <- fetch(res, -1)
    dbClearResult(res)
    
    res2 <- dbSendQuery(con,statement=get_symboltissue)
    est_by_symboltissue <- fetch(res2, -1)
    
    
    
    if (is.null(referenceTable)){
      
      result <- list(est_by_genetissue, est_by_symboltissue)
      
      names(result) <- c("est_by_genetissue", "est_by_symboltissue")
      
      
      dbDisconnect(con)
      return(result)
    }    
    
    else{
    
    est_by_uniprotidtissue <- makeUnigene(dbDriver, dbUser, dbHost, dbName=dbData, password, dbData = "est_by_genetissue_ind", referenceTable)
    
    result <- list(est_by_genetissue, est_by_symboltissue, est_by_uniprotidtissue)
    
    names(result) <- c("est_by_genetissue", "est_by_symboltissue", "est_by_uniprotidtissue")
    
    return(result)
   }
}
