expParaAttr <-
function(igraph, reducedNodes=NULL, plot="FALSE",tkplot="FALSE", vertex.attribute, group="name", max.node.size=10, min.node.size=10, layoutComp=NULL,  layoutRmEdges=NULL, layoutReduced=NULL , saveName="graph"){
    
    opar <- par(no.readonly=TRUE)
    
    group.colorize <- function(igraph, group){
    testgroup <- cbind(V(igraph)$name,get.vertex.attribute(igraph, group))
    testgroup[,1] <- gsub(":(.)*$", "", testgroup[,1])
    testgroup[,1] <- gsub("_(.)*$", "", testgroup[,1])
    testgroup[is.na(testgroup[,2]),2] <- testgroup[is.na(testgroup[,2]),1]
    
    igraph <- set.vertex.attribute(igraph, name=group, value=testgroup[,2] )
    
    upara <- unique(get.vertex.attribute(igraph, group))
    upara <- upara[!is.na(upara)]
    group.names <- get.vertex.attribute(igraph, group)
    
    
    colbar.end <- NULL
    for(ncolors in 1:ceiling(length(upara)/12)){
      
      min <- ncolors/(ceiling(length(upara)/12)+1)
      #print(min)
      colbar <- rainbow(12, start=0, end=1, s=(0.99-min), v=0.99, alpha=1)
      #print(colbar)
      colbar.end <- c(colbar.end, colbar)
    }  
    
    k <- 1
    
    for(col in upara){  
      
      V(igraph)[ group.names%in%col ]$color <- colbar.end[k]
      
      k <- k+1
    }
    return(igraph)
    }
    
    igraph <- group.colorize(igraph, group)
    
    attr <- get.vertex.attribute(igraph, vertex.attribute)
    errorAttr<- try(attr[grep("NaN", attr)] <- NA, silent=TRUE)
    if(class(errorAttr)!="try-error"){
    igraph <- set.vertex.attribute(igraph, name=vertex.attribute, value=attr)}
    
    
    good.zscore <- !is.na(get.vertex.attribute(igraph, vertex.attribute))
    bad.zscore <- is.na(get.vertex.attribute(igraph, vertex.attribute))
    V(igraph)[bad.zscore]$size <- min.node.size
    
    zscore.zero <- get.vertex.attribute(igraph, vertex.attribute)==0&!is.na(get.vertex.attribute(igraph, vertex.attribute))
    V(igraph)[zscore.zero]$size <- min.node.size
    zscore.bigger <- get.vertex.attribute(igraph, vertex.attribute)>0&!is.na(get.vertex.attribute(igraph, vertex.attribute))
    
    max.value <- as.numeric(max(get.vertex.attribute(igraph, vertex.attribute), na.rm=T))
    
    V(igraph)[zscore.bigger]$size <- (max.node.size*(as.numeric(get.vertex.attribute(igraph, vertex.attribute)[zscore.bigger])/max.value))+10
    
    zscore.smaller <- get.vertex.attribute(igraph, vertex.attribute) < 0
    zscore.smaller[is.na(zscore.smaller)]<- as.logical(("FALSE") )
    V(igraph)[zscore.smaller]$size <- min.node.size/(1+abs(as.numeric(get.vertex.attribute(igraph, vertex.attribute)[zscore.smaller])) )
    
    tg <- delete.vertices(igraph,  V(igraph)[zscore.smaller])
  
     V(igraph)$vertex.shape<-"circle"
    
    V(igraph)[grep(":(.)*$", V(igraph)$name)]$vertex.shape<-"csquare"
    

    
    graphs <- NULL
    graphs[[1]] <- igraph
    
    g <- igraph 
    test <- cbind(V(g)$"name",get.vertex.attribute(igraph, group), get.vertex.attribute(g, vertex.attribute))
    names.sub.final <- NULL
    
    for(col in upara){ 
      g <- selectEdgesHighestNodeAttribute(igraph, vertex.attribute, V(igraph)[ grep(col, group.names) ]$name)[[1]]
    }
    
	graphs[[2]] <- g
    
    if (is.null(reducedNodes)) {
      reduced.no.edges <- delete.vertices(g, names(which(igraph::degree(g) < 1)))
    }
    else {
      reduced.no.edges <- delete.vertices(g, reducedNodes)
    }
    
	graphs[[3]] <- reduced.no.edges
    
    
    
    mklegend <- function(lgraph=NULL, vertex.attribute=NULL){
        
      try(attr <- as.numeric(get.vertex.attribute(lgraph, vertex.attribute)))
              
      try(wna.attr <- attr[!is.na(attr)])
              
      quantile <- quantile(wna.attr)   
      
      quantile.size <- quantile(as.numeric(V(lgraph)$size))
                       
      text(((-2.25 + (0.0083*as.numeric(quantile.size[c(5)])*1.1))/2),(-1.3 + (0.02*as.numeric(quantile.size[c(5)])*1.1) +(0.02*as.numeric(quantile.size[c(3)])*1.1) ),  paste("Node Size", vertex.attribute, sep=" - "))
      
      points(-1.1,(-1.35 + (0.02*as.numeric(quantile.size[c(5)])*1.1) +(0.02*as.numeric(quantile.size[c(3)])*1.1) ), pch=21, cex=(as.numeric(quantile.size[c(1)])*1.1))
      text((-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)),(-1.35 + (0.02*as.numeric(quantile.size[c(5)])*1.1) +(0.02*as.numeric(quantile.size[c(3)])*1.1) ),  round(quantile[c(1)],2))
      
      points(-1.1,(-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)), pch=21, cex=(as.numeric(quantile.size[c(3)])*1.1))
      text((-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)),(-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)),   round(quantile[c(3)],2))
      
      points(-1.1,-1.1, pch=21, cex=(as.numeric(quantile.size[c(5)])*1.1))
      text((-1.1 + (0.01*as.numeric(quantile.size[c(5)])*1.1)),-1.1,  round(quantile[c(5)],2))
      
      plot.new()
      
      legend("topright", title="Edges", c("activation", "inhibition", "expression", "phosphorylation", "other subtypes", "No subtypes", "Same relations \n in both graphs"), col=c("blue","red", "green", "orange", "magenta", "black", "black"), lty=1, lwd=c(1,1,1,1,1,1,2))
      
      legend("topleft", title="Nodes ", c("Node color: Functional Paralogs", "Node size: Value Node attribute"), col=c("red","black"), pch=19, cex=1.2)
        
    }
    
    E(igraph)$color <- "black"
    E(igraph)[Subtype == "activation"]$color <- "blue"
    E(igraph)[Subtype == "inhibition"]$color <- "red"
    E(igraph)[Subtype == "expression"]$color <- "green"
    E(igraph)[Subtype == "phosphorylation"]$color <- "orange"
    E(igraph)[Subtype == "dephosphorylation" || Subtype == "repression" || Subtype == "ubiquination" ]$color <- "yellow"
    
    if(plot!="FALSE"){
      
      
      pdf(paste(saveName, "_complete.pdf", sep=""),  width=10.42, height=10.42, pointsize=6)      
      plot(igraph, vertex.shape=V(igraph)$vertex.shape, edge.color=E(igraph)$color, vertex.label=gsub("_HUMAN", "", V(igraph)$name), layout=layoutComp)
      
     
      mklegend(lgraph=igraph, vertex.attribute=vertex.attribute)
      
    
      
      dev.off()
      pdf(paste(saveName, "_withoutedges.pdf", sep=""),  width=10.42, height=10.42, pointsize=6) 
      plot(tg, vertex.shape=V(tg)$vertex.shape, edge.color=E(igraph)$color, vertex.label=gsub("_HUMAN", "", V(tg)$name), layout=layoutRmEdges)
            
      mklegend(tg,vertex.attribute=vertex.attribute)
      
      dev.off()
      pdf(paste(saveName, "_reduced.pdf", sep=""),  width=10.42, height=10.42, pointsize=6)      
      plot(reduced.no.edges, vertex.shape=V(reduced.no.edges)$vertex.shape,edge.color=E(igraph)$color, vertex.label=gsub("_HUMAN", "", V(reduced.no.edges)$name), layout=layoutReduced)
      
      mklegend(reduced.no.edges,vertex.attribute=vertex.attribute)
      
      dev.off()
    }
    if(tkplot!="FALSE"){
      
      tkplot(igraph,canvas.width=600, canvas.height=600, vertex.shape=V(igraph)$vertex.shape, edge.color=E(igraph)$color,vertex.label=gsub("_HUMAN", "", V(igraph)$name), layout=layoutComp)
      
      
      tkplot(tg, canvas.width=600, canvas.height=600, vertex.shape=V(tg)$vertex.shape, edge.color=E(igraph)$color,vertex.label=gsub("_HUMAN", "", V(tg)$name), layout=layoutRmEdges)
      
      
      tkplot(reduced.no.edges, canvas.width=600, canvas.height=600, vertex.shape=V(reduced.no.edges)$vertex.shape,edge.color=E(igraph)$color, vertex.label=gsub("_HUMAN", "", V(reduced.no.edges)$name), layout=layoutReduced)
      
    }
    
    names(graphs) <- c("AttrSizes", "AttrRemovedEdges" , "AttrRemovedNodes")
  
    par(opar)
    
    return(graphs)
  }
