getKGML <-
function(kegbr=NULL, directory ,tricode){

if(is.null(kegbr)){

txt = getURL("http://www.kegg.jp/kegg/brite.html")

gst <- "<dd><a href=\"/kegg-bin/get_htext\\?(.*?)\">KEGG pathway maps"             

tm <- regexec(gst, txt)
fin <- regmatches(txt, tm)[[1]][2]

urlbrite <- paste("http://www.kegg.jp/kegg-bin/download_htext?htext=", fin ,".keg&format=htext&filedir=", sep="")

tmpdir <- tempdir()
file <- paste(fin, paste="")

download.file(urlbrite, fin)

tt <- readLines(fin)
}
else{
names <- kegbr
tt <- readLines(names)
}

tt <- tt[grep("C ", tt)]
ids.pre <- gsub("C[ ]{4}", "", tt[grep("C ", tt)])
ids <- gsub("[ ]{2}.*$", "", ids.pre)
ids <- paste(tricode, ids, sep="")

kgmlobjects <- NULL
z <- 1

for(i in 1:length(ids)){

if(i%%5==0){
			cat("\rDownload",i,"of",length(ids))
		  }
#1. Ids you want to get the xml file
pathid <- ids[i]

#2. Specific the url which is static and enter the ID you want to parse
url <- paste("http://www.genome.jp/kegg-bin/download?entry=", pathid, "&format=kgml", sep="")

#3. Checks if the url exists
if(url.exists(url)){

filename <- paste(directory, pathid, ".xml", sep="")
download.file(url, filename, quiet = TRUE)

}

kgmlobjects[z]

z <- z+1


}

setwd(directory)
byte <- rownames(subset(file.info(dir()), size<10))
unlink(byte)

return(kgmlobjects)
}
