graphTKplotterPATHW <-
function(igraph, name=" ", sub=" ", tkplot=FALSE, eigenvector=FALSE, hub=FALSE, layout=NULL){
 
  opar <- par(no.readonly=TRUE)
  
    g <- igraph
    
    g <- subUniRemover(igraph=g)
    
    E(g)$color <- "black"
    E(g)$width <- 1
    
    for(i in 1:length(E(g)$Intersection)){
      
      
      if(is.na(E(g)$Intersection[i] == TRUE)){
        E(g)$Intersection[i] <- "NA"
      }
      
    }
    
    E(g)[ Intersection =="TRUE"]$width <- 3
    E(g)[Subtype == "activation"]$color <- "blue"
    E(g)[Subtype == "inhibition"]$color <- "red"
    E(g)[Subtype == "expression"]$color <- "green"
    E(g)[Subtype == "phosphorylation"]$color <- "orange"
    E(g)[Subtype == "dephosphorylation" || Subtype == "repression" || Subtype == "ubiquination" ]$color <- "magenta"
    
    wt <- walktrap.community(g, modularity=TRUE)
    colbar <- rainbow(wt$membership+10)
    V(g)$color <- colbar[wt$membership+2]
    V(g)[ is.na(V(g)$color) ]$color <- "white"
    V(g)$size <- 8
  
  if(is.null(layout)){
   layout.g <-  layout.fruchterman.reingold(g)
  }
  else{
   layout.g <- layout 
  }
  
    if(hub!=FALSE){
      V(g)$size <- 7
      
      wt <- walktrap.community(g, modularity=TRUE)
      colbar <- rainbow(wt$membership+10)
      V(g)$color <- colbar[wt$membership+2]
      V(g)[ is.na(V(g)$color) ]$color <- "white"
      
      d <- hub.score(g)
      V(g)$hub <- hub.score(g)$vector
      V(g)[V(g)$hub > quantile(d$vector)[4] ]$size <- 10
      V(g)[V(g)$hub < quantile(d$vector)[4] ]$color <- "white"
      #V(g)[V(g)$hub == quantile(d$vector)[5]]$color <- 25
    }  
    #V(g)[unlist(V(g)$hub) >quantile(unlist(V(g)$hub))[4]]$color <- "yellow"
    
   
    
    if(hub!=FALSE){
      
      if(tkplot!=FALSE){
        tkplot(g, canvas.width=1000, canvas.height=1000, layout=layout.g, edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=1,1)
      }
      plot.igraph(g, main=name, sub=sub, axes=FALSE, xlab="", layout=layout.g,edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=1,1)
      legend(1, title="Edges", c("activation", "inhibition", "expression", "phosphorylation", "other subtypes", "No subtypes", "Same relations in both graphs"), col=c("blue","red", "green", "orange", "magenta", "black", "black"), lty=1, lwd=c(1,1,1,1,1,1,2))
      
    }
    
    if(hub==FALSE && eigenvector==FALSE){
      
      if(tkplot!=FALSE){
        tkplot(g, canvas.width=1000, canvas.height=1000, layout=layout.g, edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=1,1)
      }
      plot.igraph(g, main=name, sub=sub, xlab="",layout=layout.g,edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=1,1)
      legend(1, title="Edges", c("activation", "inhibition", "expression", "phosphorylation", "other subtypes", "No subtypes", "Same relations in both graphs"), col=c("blue","red", "green", "orange", "magenta", "black", "black"), lty=1, lwd=c(1,1,1,1,1,1,2))
      
    }
    
    if(eigenvector!=FALSE){
      
      
      V(g)$eigenvector <- evcent(g)$vector
      test <- quantile(V(g)$eigenvector)[4]
      
      wt <- walktrap.community(g, modularity=TRUE)
      colbar <- rainbow(wt$membership+10)
      
      V(g)$color <- colbar[wt$membership+2]
      V(g)[ is.na(V(g)$color) ]$color <- "white"
      
      V(g)[V(g)$eigenvector > quantile(V(g)$eigenvector)[4] ]$size <- 10
      V(g)[V(g)$eigenvector < quantile(V(g)$eigenvector)[4] ]$color <- "white"
      
      if(tkplot!=FALSE){
        tkplot(g, canvas.width=1000, canvas.height=1000, layout=layout.g, edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=1,1)
      }
      
      plot.igraph(g, main=name, sub=sub, axes=FALSE, xlab="", layout=layout.g,edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=1,1)
      legend(1, title="Edges", c("activation", "inhibition", "expression", "phosphorylation", "other subtypes", "No subtypes", "Same relations in both graphs"), col=c("blue","red", "green", "orange", "magenta", "black", "black"), lty=1, lwd=c(1,1,1,1,1,1,2))  
      
    }

 par(opar)
  
    return(g)
    
  }
