graphTKplotterTissue <-
function(igraph, tissue,name=" ", sub=" ", tkplot="FALSE", value=0, type="Transcript", pdf="TRUE",   layoutComp=NULL, layoutReduced=NULL, directory=NULL){
	
  #par Backup
  opar <- par(no.readonly=TRUE)
  
g <- igraph

g <- subUniRemover(igraph=g)

E(g)$color <- "black"
E(g)$width <- 1
  
if(is.null(get.vertex.attribute(name="size", igraph))){

  V(g)$size <- 8
  
}

for(i in 1:length(E(g)$Intersection)){


if(is.na(E(g)$Intersection[i] == TRUE)){
 E(g)$Intersection[i] <- "NA"
 }

}

E(g)[ Intersection =="TRUE"]$width <- 2

 E(g)[Subtype == "activation"]$color <- "blue"
 E(g)[Subtype == "inhibition"]$color <- "red"
 E(g)[Subtype == "expression"]$color <- "green"
 E(g)[Subtype == "phosphorylation"]$color <- "orange"
 E(g)[Subtype == "dephosphorylation" || Subtype == "repression" || Subtype == "ubiquination" ]$color <- "yellow"
 
V(g)$color <- "white"

#g <- tissueSelection(g=g, type=tissue)

  V(g)[get.vertex.attribute(g, name=tissue)>value & !is.na(get.vertex.attribute(g, name=tissue))]$color <- "yellow"
  V(g)[is.na(get.vertex.attribute(g, name=tissue))]$color <- "skyblue"

if(tkplot!=FALSE){
  tkplot(g, canvas.width=600, canvas.height=600, layout=layoutComp, edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=0.5)
}

if(pdf!=FALSE){
  
  
  
  pdf(paste(name, "with.pdf", sep=""), width=10.42, height=10.42)
  
  if(!is.null(directory)){
    
    pdf(paste(directory, name, "with.pdf", sep=""),  width=10.42, height=10.42)
    
  }
  
  pos1 <- "left"
  pos2 <- "right"
 
}
else{
m <- layout(matrix(c(1,1,2,3),2,2), heights=c(1,1), widths=c(4,1))
pos1 <- "center"
pos2 <- "center" 



}

plot(g, main=name, sub=sub, axes=FALSE,  layout=layoutComp,edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=0.5)

plot.new()

	legend(pos1, title="Edges", c("activation", "inhibition", "expression", "phosphorylation", "other subtypes", "No subtypes", "Same relations \n in both graphs"), col=c("blue","red", "green", "orange", "magenta", "black", "black"), lty=1, lwd=c(1,1,1,1,1,1,2))

if(pdf==FALSE){
plot.new()
}

	legend(pos2, title="Nodes", c(paste(type, "lower than/equal", value, sep=" "), paste(type, "bigger than", value, sep=" "), paste(type, " is NA", sep=" ")), col=c("black","yellow","skyblue"), pch=c(1,20,20), cex=1.4)

if(pdf!=FALSE){
  
  dev.off()
      
}

if(pdf!=FALSE){
  
  pdf(paste(name, "without.pdf", sep=""),  width=10.42, height=10.42)
  
  if(!is.null(directory)){
    
    pdf(paste(directory, name, "without.pdf", sep=""),  width=10.42, height=10.42)
    
  }
      
}



  V(g)[get.vertex.attribute(g, name=tissue)>value & !is.na(get.vertex.attribute(g, name=tissue))]$color <- "yellow"
  V(g)[is.na(get.vertex.attribute(g, name=tissue))]$color <- "skyblue"

  graph.value <- cbind(get.vertex.attribute(g, name="name"), get.vertex.attribute(g, name=tissue))
  graph.value <- cbind(graph.value,graph.value[,2]>value)
  graph.value[,3] <- ifelse(graph.value[,3]=="TRUE", yes="ON", no="OFF")
  colnames(graph.value) <- c("Uniprot-ID", "Value", "State")

  graph.complete <- g
  
  g <- delete.vertices(g, V(g)[get.vertex.attribute(g, name=tissue)<=value & !is.na(get.vertex.attribute(g, name=tissue))])



if(tkplot!=FALSE){
  tkplot(g, canvas.width=600, canvas.height=600, layout=layoutReduced, edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=0.5)
}


plot(g, main=name, sub=sub, axes=FALSE,  layout=layoutReduced,edge.color=E(g)$color, edge.width=E(g)$width, vertex.label=V(g)$name, vertex.size=V(g)$size,vertex.label.color="black", vertex.label.font=1, vertex.label.cex=0.5)

plot.new()

legend(pos1, title="Edges", c("activation", "inhibition", "expression", "phosphorylation", "other subtypes", "No subtypes", "Same relations \n in both graphs"), col=c("blue","red", "green", "orange", "magenta", "black", "black"), lty=1, lwd=c(1,1,1,1,1,1,2))


if(pdf==FALSE){
  plot.new()
}

  legend(pos2, title="Nodes", c(paste(type, "lower than/equal", value, sep=" "), paste(type, "bigger than", value, sep=" "), paste(type, " is NA", sep=" ")), col=c("black","yellow","skyblue"), pch=c(1,20,20), cex=1.4)

if(pdf!=FALSE){
  
  dev.off()

}
  
  graph.incomplete <- g
  
  par(opar)
  
  graph.results <- list()
  graph.results[[1]] <- graph.complete
  graph.results[[2]] <- graph.incomplete
  graph.results[[3]] <- graph.value
  names(graph.results) <- c("graphComplete", "graphReduced", "state_OnOff")
  
  return(graph.results)
	}
