makeUnigene <-
function(dbDriver, dbUser, dbHost, dbName, password, dbData="est_by_genetissue", referenceTable){
	

con <- connectDatabase(dbDriver=dbDriver, dbUser=dbUser, dbHost=dbHost, dbName=dbName, password=password, dbData=dbData)

re <- dbSendQuery(con,statement=paste("select * from ", dbData, sep=""))
result <- fetch(re,n=-1)

colnames(result)<-c("ID","tissue","num_est")

matrixest <- cast(result, ID~tissue, value=c("num_est"), fun=sum)

#matrixest  <- read.table(matrixest , header=TRUE, sep="\t")
#referenceTable.tra <- read.table(referenceTable.tra, header=TRUE, sep="\t")

#first translate UniGene in UniprotKB.ID
ttra<- traUniGeneKegg(referenceTable.tra=referenceTable, list.orgID=matrixest$ID, fromID="UniGene", toID="UniProtKB.ID")

#Generate a dataframe with col ID
dataest <- as.data.frame(matrixest, stringsAsFactors=FALSE)
colnames(ttra) <- c("UniprotKB.ID", "ID")
datacompl <- merge(ttra, dataest)

datasub <- datacompl[,2:length(datacompl[1,])]

names(datasub)[1] <- "ID"

final <- aggregate( . ~ ID, data=datasub, sum)


return(final)

}
