mkESTdb <-
function(dbDriver=NULL, dbUser=NULL,dbHost=NULL,password=NULL, directory=NULL , dbData=NULL, ESTdataexits=FALSE, name=NULL, species=NULL){

if(is.null(dbUser) ) stop ("Input dbUser is missing.")
if(is.null(dbHost) ) stop ("Input dbHost is missing.")
 #if(is.null(password) ) stop ("Input password is missing. If you do not have a password, please select ")
if(is.null(dbData) )stop ("Input dbData is missing.")
if(is.null(directory) )stop ("Please select directory of Unigene-files or where the program should save the files.")
if(is.null(dbUser) ) stop ("Input: Database dbUser is missing.")
if(is.null(dbHost) ) stop ("Input Database dbHost is missing.")
if(is.null(dbDriver) ) stop ("Input dbDriver is missing.")
#if(is.null(password) ) stop ("Input password is missing. If you do not have a password, please select ")
if(is.null(name) )stop ("Please select the name of the species like Homo_sapiens for example. ")
if(is.null(species) )stop ("Please select the Tag of the spcies for example Hs. for Homo_sampiens.")


if(ESTdataexits==FALSE){
  
species <- unigeneDownload(name, directory) 

Libdata <- parseHslib(directory=directory, species=species)
Hsdata 	<- parseHsdata(directory=directory, species=species)
Estdata <- parseEST(directory=directory, species=species)

libdata <- paste(directory, species,"libinfo.Rdata", sep="")
hsdata <- paste(directory, species,"data.Rdata", sep="")
estdata <- paste(directory, species,"ESTdata.Rdata", sep="")

save(Libdata, file=libdata)
save(Hsdata, file=hsdata)
save(Estdata, file=estdata)
}

else{
  
libdata <- paste(directory, species,"libinfo.Rdata", sep="")
hsdata <- paste(directory, species,"data.Rdata", sep="")
estdata <- paste(directory, species,"ESTdata.Rdata", sep="")


}

createUnigeneDatabase(dbDriver=dbDriver, dbUser=dbUser,dbHost=dbHost,password=password, directory=directory , dbData=dbData, species=species)

return("TRUE")

}
