myproteinnet <- function(directory,user=NULL,host=NULL, driver="MySQL",password=NULL, database="myproteinnet", referenceTable=referenceTable ){


  if(is.null(directory) )stop ("Please select the directory of globalinteractome-file.")
  setwd(directory)

globalinteractome <- read.table(file="GlobalInteractome.tsv", sep="\t", header=FALSE)
globalinteractome <- globalinteractome[,c(1:5)]
global.unique <- unique(union(globalinteractome[,1], globalinteractome[,2]))

#Translation of IDs which are in the Swissprot database
match.ids_1 <- match(globalinteractome[,1], referenceTable$Ensembl)
match.ids_2 <- match(globalinteractome[,2], referenceTable$Ensembl)
globalinteractome_swissprot <- globalinteractome 
globalinteractome_swissprot$gene_name <- NULL
globalinteractome_swissprot$gene_name <- NULL
globalinteractome_swissprot[,1] <- referenceTable$UniProtKB.ID[match.ids_1]
globalinteractome_swissprot[,2] <- referenceTable$UniProtKB.ID[match.ids_2]
globalinteractome_swissprot <- cbind(globalinteractome, globalinteractome_swissprot[,1] , globalinteractome_swissprot[,2])
globalinteractome_swissprot.wna <- globalinteractome_swissprot[complete.cases(globalinteractome_swissprot),]
#globalinteractome_swissprot.wna <- globalinteractome_swissprot[complete.cases(globalinteractome_swissprot),c(1:5, 9:10)]
colnames(globalinteractome_swissprot.wna) <- c("accession_1","accession_2","type_1","type_2", "relation", "GeneID_1", "GeneID_2")

#Translation of IDs not in Swissprot but in Trembl
globalinteractome_notswiss <- globalinteractome[!complete.cases(globalinteractome_swissprot),]

drv <- dbDriver(driver)

if (is.null(password)){
  con <- dbConnect(drv, user=user,host=host)
}
if (!is.null(password)) {
  con <- dbConnect(drv, user=user,host=host,password=password)
}

#print("0")
dropDB <- paste("drop database if exists ", database, sep="")
dbSendQuery(con,statement=dropDB)
#print("1")
createDB <- paste("create database ", database,sep="")
dbSendQuery(con,statement=createDB)
dbDisconnect(con)
#print("2")

if(is.null(user) ) stop ("Input user is missing.")
if(is.null(host) ) stop ("Input host is missing.")
#if(is.null(password) ) stop ("Input password is missing. If you do not have a password, please select ")
if(is.null(database) )stop ("Input database is missing.")
if(is.null(directory) )stop ("Please select the directory of globalinteractome-file.")



if (is.null(password)){
  con <- dbConnect(drv, user=user,host=host, dbname=database)
}
if (!is.null(password)) {
  con <- dbConnect(drv, user=user,host=host,password=password, dbname=database)
}

dropDB <- paste("drop table if exists PROTEINPAIR ")
dbSendQuery(con,statement=dropDB)

dbWriteTable(con, "PROTEINPAIR " , globalinteractome_swissprot.wna,sep="\t", row.names="FALSE", append=TRUE)
}

