parsebrkegg <-
function(kegbr, tricode){


  if(is.null(kegbr)){
    
    txt = getURL("http://www.kegg.jp/kegg/brite.html")
    
    gst <- "<dd><a href=\"/kegg-bin/get_htext\\?(.*?)\">KEGG pathway maps"             
    
    tm <- regexec(gst, txt)
    fin <- regmatches(txt, tm)[[1]][2]
    
    urlbrite <- paste("http://www.kegg.jp/kegg-bin/download_htext?htext=", fin ,".keg&format=htext&filedir=", sep="")
    
    tmpdir <- tempdir()
    file <- paste(fin, paste="")
    
    download.file(urlbrite, fin)
    
    brkegg <- readLines(fin)
  }  
  
else{
  
  brkegg <- readLines(kegbr)

}

#brkegg <- file

metab <- grep("A<b>Metabolism</b>", brkegg)
genei <- grep("A<b>Genetic Information Processing</b>", brkegg)
envir <- grep("A<b>Environmental Information Processing</b>", brkegg)
cellu <- grep("A<b>Cellular Processes</b>", brkegg)
organ <- grep("A<b>Organismal Systems</b>", brkegg)
disea <- grep("A<b>Human Diseases</b>", brkegg)
drugd <- grep("A<b>Drug Development</b>", brkegg)
endli <- grep("#<hr>", brkegg)

metab.sub <- brkegg[metab:genei-2]
genei.sub <- brkegg[genei:envir-2]
envir.sub <- brkegg[envir:cellu-2]
cellu.sub <- brkegg[cellu:organ-2]

metab.genei.envir.cellu.sub<- brkegg[metab:organ-2]

organ.sub <- brkegg[organ:disea-2]
disea.sub <- brkegg[disea:drugd-2]
drugd.sub <- brkegg[drugd:endli-2]

mktacom <- function(sub_set, hname){

hname <- gsub("[ ]", "_", hname)
hname <- gsub(":", "_", hname)

#mktacom(sub_set=metab.sub)

number <- grep("B[ ]{2}",sub_set)

allSQLtables <- data.frame()
z <- 1

for(i in 1:length(number)){

	#print(i)
	n <- i+1


		if(n <= length(number)){

		sub <- sub_set[number[i]: sum(number[i]+diff(number[i:n])-1)]

		}

		else{

		sub <- sub_set[number[i]: length(sub_set)]

		}

name <- gsub("B[ ]{2}", "", sub[grep("B[ ]{2}", sub)])
name <- gsub("[ ]", "_", name)
name <- gsub(":", "_", name)
name <- gsub(",", "_", name)
name <- gsub("-", "_", name)
ids <- gsub("C[ ]{4}", "", sub[grep("C[ ]{4}", sub)])
pathname <- gsub(".*[ ]{2}", "", ids)
ids <- gsub("[ ]{2}.*", "", ids)
ids <- paste("path:", tricode, ids, sep="")



ids.e <- paste("'",ids[1], sep="")
pathname.e <- paste("'",pathname[1], sep="")


for(i in 2:length(ids)){

ids.e <- paste(ids.e, ids[i], sep="','")
pathname.e <- paste(pathname.e, pathname[i], sep="','")
}

ids.e <- paste(ids.e, "'", sep="")
pathname.e <- paste(pathname.e, "'", sep="")

datac <- NULL

datac.ids <- paste("create table ", name, " select * from Path2net_Relations where Pathwayid in (",ids.e, ")   order by   Pathwaytitle, GeneID_1", sep="")

datac.pathname <- paste("create table ", name, " select * from Path2net_Relations where Pathwaytitle in (",pathname.e, ")   order by   Pathwaytitle, GeneID_1", sep="")

allSQLtables[z,1] <- hname
allSQLtables[z,2] <- name
allSQLtables[z,3] <- ids.e
allSQLtables[z,4] <- datac.ids
allSQLtables[z,5] <- pathname.e
allSQLtables[z,6] <- datac.pathname

z <- z+1
}

colnames(allSQLtables) <- c("Headtable", "Subtable", "PathwayIds", "SQLcommands" , "PathwayNames", "SQLcommandsPN")

compl <- as.character(allSQLtables$PathwayIds[1])
complpn <- as.character(allSQLtables$PathwayNames[1])

for(k in 2:length(allSQLtables$PathwayIds)){

compl <- paste(compl, allSQLtables$PathwayIds[k])
complpn <- paste(complpn, allSQLtables$PathwayNames[k])

 }

datac.ids <- paste("create table ", hname, " select * from Path2net_Relations where Pathwayid in (",compl, ")   order by   Pathwaytitle, GeneID_1", sep="")

datac.pn <- paste("create table ", hname, " select * from Path2net_Relations where Pathwaytitle in (",complpn, ")   order by   Pathwaytitle, GeneID_1", sep="")

allSQLtables[z,1] <- hname
allSQLtables[z,2] <- hname
allSQLtables[z,3] <- compl
allSQLtables[z,4] <- datac.ids
allSQLtables[z,5] <- complpn
allSQLtables[z,6] <- datac.pn

return(allSQLtables)

}

metab.commands <- mktacom(sub_set=metab.sub,hname="Metabolism")
genei.commands <- mktacom(sub_set=genei.sub,hname="Genetic Information Processing")
envir.commands <- mktacom(sub_set=envir.sub,hname="Environmental Information Processing")
cellu.commands <- mktacom(sub_set=cellu.sub,hname="Cellular Processes")

primary.commands <- mktacom(sub_set=metab.genei.envir.cellu.sub,hname="Path2net_Primary Pathways")

organ.commands <- mktacom(sub_set=organ.sub,hname="Organismal Systems")
disea.commands <- mktacom(sub_set=disea.sub,hname="Human Diseases")
drugd.commands <- mktacom(sub_set=drugd.sub,hname="Drug Development")

total <- brkegg[grep("C[ ]{4}", brkegg)]
total <- gsub("C[ ]{4}", "", brkegg[grep("C[ ]{4}", brkegg)])
total.pathname <- gsub(".*[ ]{2}", "", total)
total.ids <- gsub("[ ]{2}.*", "", total)

total.commands <- data.frame()

for(z in 1: length(total.ids)){

total.commands[z,1] <- "Brkegg"
total.commands[z,2] <- "Total"
total.commands[z,3] <- total.ids[z]
total.commands[z,4] <- "NA"
total.commands[z,5] <- total.pathname[z]
total.commands[z,6] <- "NA"

}

colnames(total.commands) <- c("Headtable", "Subtable", "PathwayIds", "SQLcommands" , "PathwayNames", "SQLcommandsPN")

dbstr.sub <- rbind(metab.commands, genei.commands, envir.commands, cellu.commands, primary.commands,organ.commands,disea.commands, drugd.commands) 

colnames(dbstr.sub) <- c("Headtable", "Subtable", "PathwayIds", "SQLcommands" , "PathwayNames", "SQLcommandsPN")

Normal.ids <- paste(dbstr.sub[dbstr.sub[,2]=="Metabolism",3],dbstr.sub[dbstr.sub[,2]=="Environmental_Information_Processing",3],dbstr.sub[dbstr.sub[,2]=="Cellular_Processes",3],dbstr.sub[dbstr.sub[,2]=="Organismal_Systems",3], sep=" , ")

Normal.pathname <- paste(dbstr.sub[dbstr.sub[,2]=="Metabolism",5],dbstr.sub[dbstr.sub[,2]=="Environmental_Information_Processing",5],dbstr.sub[dbstr.sub[,2]=="Cellular_Processes",5],dbstr.sub[dbstr.sub[,2]=="Organismal_Systems",5], sep=" , ")

normal.commands <- data.frame()

normal.commands[1,1] <- "Brkegg"
normal.commands[1,2] <- "Normal"
normal.commands[1,3] <- Normal.ids
normal.commands[1,4] <- paste("create table Path2net_Normal select * from Path2net_Relations where Pathwayid in (",Normal.ids, ")   order by   Pathwaytitle, GeneID_1", sep="")
normal.commands[1,5] <- Normal.pathname
normal.commands[1,6] <- paste("create table Path2net_Normal select * from Path2net_Relations where Pathwaytitle in (",Normal.pathname, ")   order by   Pathwaytitle, GeneID_1", sep="")

colnames(normal.commands) <- c("Headtable", "Subtable", "PathwayIds", "SQLcommands" , "PathwayNames", "SQLcommandsPN")

signaling.ids <- total.commands[grep("*signaling*", total.commands[,5]),3]
signaling.ids <- paste("path:",signaling.ids, sep="")
signaling.names <-  total.commands[grep("*signaling*", total.commands[,5]),5]

sids <- paste("'",signaling.ids[1], sep="")
sna <- paste("'",signaling.names[1], sep="")

for(i in 2:length(signaling.ids)){
sids <- paste(sids, signaling.ids[i], sep="' , '")
sna <- paste(sna, signaling.names[i], sep="' , '")
}

sids <- paste(sids, dbstr.sub[dbstr.sub$Subtable=="Signal_transduction",3], sep="' , ")[[1]]
sna <- paste(sna, dbstr.sub[dbstr.sub$Subtable=="Signal_transduction",5], sep="' , ")[[1]]


SignalPathwayrelation.commands <- data.frame()
SignalPathwayrelation.commands[1,1] <- "Brkegg"
SignalPathwayrelation.commands[1,2] <- "SignalPathwayrelation"
SignalPathwayrelation.commands[1,3] <- sids
SignalPathwayrelation.commands[1,4] <- paste("create table Path2net_SignalPathwayrelation select * from Path2net_Relations where Pathwayid in (",sids, ")   order by   Pathwaytitle, GeneID_1", sep="")
SignalPathwayrelation.commands[1,5] <- sna
SignalPathwayrelation.commands[1,6] <- paste("create table Path2net_Normal select * from Path2net_Relations where Pathwaytitle in (",sna, ")   order by   Pathwaytitle, GeneID_1", sep="")

colnames(SignalPathwayrelation.commands) <- c("Headtable", "Subtable", "PathwayIds", "SQLcommands" , "PathwayNames", "SQLcommandsPN")

df.result <- rbind(metab.commands, genei.commands, envir.commands, cellu.commands,primary.commands, organ.commands,disea.commands, drugd.commands,normal.commands,SignalPathwayrelation.commands, total.commands) 

colnames(df.result) <- c("Headtable", "Subtable", "PathwayIds", "SQLcommands" , "PathwayNames", "SQLcommandsPN")

return(df.result)
}
