parsekeggdata <-
function(directory, referenceTable=referenceTable, Print=FALSE)
{


setwd(directory)


direc <- dir()
xml.list <- direc[grep("xml", direc)]
length.xml.list <- length(xml.list)
count.xml <- 0

PathwayDataFrame_compl <- NULL

for(n in 1 : length.xml.list){

EntryID		<- NULL
Keggname 	<- NULL
Type  		<- NULL
Keggdisplayname	<- NULL
GeneID		<- NULL
Pathwaytitle 	<- NULL

PathwayNumber 	<- NULL
PathwayOrg 	<- NULL
PathwayLink 	<- NULL
PathwayImage 	<- NULL
PathwayID 	<- NULL

path		<-	xml.list[n]  #"hsa04330.xml"
if (Print!=FALSE){count.xml <- count.xml + 1; cat( path, ": ", count.xml, " of ", length.xml.list, " ", "\n" )}
pathway 	<-	xmlTreeParse(path)
pathdata 	<- 	xmlInternalTreeParse(path, xinclude = FALSE)

entry 		<- getNodeSet(pathdata, "//entry")
reaction 	<- getNodeSet(pathdata, "//reaction")
relation 	<- getNodeSet(pathdata, "//relation")
subtype 	<- getNodeSet(pathdata, "//subtype")
pathway 	<- getNodeSet(pathdata, "//pathway")
graphics 	<- getNodeSet(pathdata, "//graphics")

pathwayID 	<- xmlAttrs(pathway[[1]])["name"][[1]]
pathwayOrg 	<- xmlAttrs(pathway[[1]])["org"][[1]]
pathwayNumber 	<- xmlAttrs(pathway[[1]])["number"][[1]]
pathwayTitle	<- xmlAttrs(pathway[[1]])["title"][[1]]
pathwayImage 	<- xmlAttrs(pathway[[1]])["image"][[1]]
pathwayLink 	<- xmlAttrs(pathway[[1]])["link"][[1]]





z <- 0
for (i in 1 : length(entry)){
#entryIDofGeneInPathway
entryID 	 <- xmlAttrs(entry[[i]])["id"][[1]]
#getentrypathwayID
keggname.pre	 <- xmlAttrs(entry[[i]])["name"][[1]]
#getentrytype
type 		 <- xmlAttrs(entry[[i]])["type"][[1]]

### Groups ###
options(show.error.messages = FALSE)
if (type == "group"){
begingroup <- "|"
groupMemberName <- NULL
groupKeggID <- NULL
groupMemberNameListe<- array()
groupKeggIDList <- array()
groupcounter <- 1
for (nrgr in 2:20){
faultgr <- try(xmlAttrs(entry[[i]][nrgr]$component,"//component"))
if(class(faultgr)=="try-error"){
groupMemberNameListe <- sort(groupMemberNameListe)
groupKeggIDList <- sort(groupKeggIDList)
for (groupMemberBuilder in 1:length(groupMemberNameListe)){

groupMemberNametemp <- groupMemberNameListe[groupMemberBuilder]

#Creating Finalname
groupMemberNametemp2 <- paste(begingroup, groupMemberNametemp, sep="")
#Finalname for Displayname
groupMemberName <- paste(groupMemberName, groupMemberNametemp2, sep="")
#Individual KeggID of a Group member
groupKeggIDtemp <- groupKeggIDList[groupMemberBuilder]
#creatin Final KeggID
groupKeggIDtemp2 	<- paste(begingroup, groupKeggIDtemp, sep="")
#Finalkeggid for Display
groupKeggID		<- paste(groupKeggID, groupKeggIDtemp2, sep="")
}
groupMemberName <- paste(groupMemberName, begingroup, sep="")
groupKeggID <- paste(groupKeggID, begingroup, sep="")
break
}

else {

member <- xmlAttrs(entry[[i]][nrgr]$component,"//component")
groupMemberID <- member[[1]]
namePosition <- which(EntryID==groupMemberID)
for (numberposition in 1 : length(namePosition)){
groupcounter <- groupcounter + 1
namePositiontemp <- namePosition[numberposition]
#Individual name of a Group member
groupMemberNametemp <- GeneID[namePositiontemp]
#Array for groupMemberNames
groupMemberNameListe[groupcounter] <- groupMemberNametemp[[1]]

#Individual KeggID of a Group member
groupKeggIDtemp	<- Keggname[namePositiontemp]
groupKeggIDList[groupcounter] <- groupKeggIDtemp[[1]]
}
}
}
}
options(show.error.messages = TRUE)
### Groups ###

#displayName
displayname	 <- xmlAttrs(graphics[[i]])["name"][[1]]
displayname	 <- unlist(strsplit(displayname,"\\..."))
#Separation in KeggIDs
#keggnameTemp	 <- paste(keggname.pre, " ")
keggnameTemp	 <- unlist(strsplit(keggname.pre, " "))

  for (j in 1:length(keggnameTemp)){
  z <- z +1 
  keggname		<- keggnameTemp[j]
  if (type == "group"){
  Keggname[z] 		<- groupKeggID
  }
  else{
  Keggname[z] 		<- keggname
  }
  EntryID[z] 		<- entryID
  Type[z]   		<- type
  if (type == "group"){
  Keggdisplayname[z]	<- groupMemberName
  }
  else{
  Keggdisplayname[z] 	<- displayname[[1]]
  }
  Pathwaytitle[z] 	<- pathwayTitle
  PathwayID[z]		<- pathwayID 


   
    #Translation in GeneID
    #keggnameUse <- unlist(strsplit(keggname, ":"))
    
     #ecNumber <- ec.number[[which(labels(ec.number)==keggnameUse[2])]]
     #ECNumber[z] <- ecNumber
    

    

    ioGeneID 	<- keggname
    #print(ioGeneID)
    geneId  	<- traUniGeneKegg(referenceTable.tra=referenceTable, list.orgID=ioGeneID, fromID="KEGG", toID="UniProtKB.ID")[1,1]
    #print(geneId)
    
    
    
      if(length(geneId)>0){
      #if(is.na(geneId)==FALSE)
       
      GeneID[z]	<- geneId
      }
     
    
    else{
    GeneID[z] 	<- "NA"
    }
      if (type == "group"){
      GeneID[z] <- groupMemberName
      }
  }

}

PathwayDataFrame <- NULL

#Pathwaytitle 	<- PathwayTitle
#PathwayID 	<- PathwayID
#Keggname	<- Keggname
#EntryID		<- EntryID
#Type		<- Type
#Keggdisplayname	<- KeggDisplayName

PathwayDataFrame <- as.data.frame(cbind(Pathwaytitle,PathwayID,Keggname,GeneID,EntryID,Type,Keggdisplayname))
#PathwayDataFrame2	<-apply(PathwayDataFrame,2,as.character)

#filename=paste("/home/conrad/R/R - programming/Proyecto_CD/tests/paso",n,".csv",sep="")
#write.table(file=filename,PathwayDataFrame2)

PathwayDataFrame_compl	<- as.data.frame(rbind(PathwayDataFrame_compl, PathwayDataFrame))

#PathwayDataFrame_compl	<- as.data.frame(rbind(PathwayDataFrame_compl,"--"))

  }

PathwayDataFrame.char	<-apply(PathwayDataFrame_compl,2,as.character)
PathwayDataFrame_compl <- as.data.frame(PathwayDataFrame.char)

savename.path2net <- paste(directory, "Path2net_KeggDatabase.txt", sep="")
write.table(x=PathwayDataFrame_compl,file=savename.path2net, col.names = TRUE, row.names = FALSE,quote = FALSE, sep="\t" ) 

return(PathwayDataFrame_compl)
#write.table(file="/tmp/allComplete.csv", col.names = TRUE, row.names = FALSE,quote = FALSE, sep="\t",PathwayDataFrame_Relation.char )

}
