plotexpPara <-
function(igraph, plot="FALSE"){
  
  upara <- unique(V(igraph)$"Paralogs")
  
  colbar.end <- NULL
  for(ncolors in 1:ceiling(length(upara)/12)){
  
      
  min <- ncolors/8
  if(min>=1){
    min <- ncolors/12
  }
  if(min>=1){
    min <- ncolors/16
  }
  if(min>=1){
    min <- 0.99
  }
  #print(min)
  colbar <- rainbow(12, start=0, end=1, s=(0.99-min), v=0.99, alpha=1)
  #print(colbar)
  colbar.end <- c(colbar.end, colbar)
  }  
  
  k <- 1
  
  for(col in upara){
    
    
    
    V(igraph)[ V(igraph)$"Paralogs"%in%col ]$color <- colbar.end[k]
    
    
    
    k <- k+1
  }
  
  g <- igraph 
  test <- cbind(V(g)$"name",V(g)$"Paralogs", V(g)$"zscore-para")
  names.sub.final <- NULL
  
  for(col in upara){
    
    testsub <- subset(test, subset=test[,2]==col)
    testsub.sub <- subset(testsub, subset=testsub[,3]!=max(testsub[,3]))
    names.sub <- testsub.sub[,1]
    g <- delete.vertices(g, v=names.sub)
    
  }
  
  good.zscore <- !is.na(V(igraph)$"zscore-para")
  bad.zscore <- is.na(V(igraph)$"zscore-para")
  
  V(igraph)[bad.zscore]$size <- 10
  
  zscore.zero <- V(igraph)[ good.zscore ]$"zscore-para" == 0
  V(igraph)[good.zscore][zscore.zero]$size <- 10
  
  zscore.bigger <- V(igraph)[ good.zscore ]$"zscore-para" > 0
  V(igraph)[good.zscore][zscore.bigger]$size <- 10*(1+V(igraph)$"zscore-para"[good.zscore][zscore.bigger]) 
  
  zscore.smaller <- V(igraph)[ good.zscore ]$"zscore-para" < 0
  V(igraph)[good.zscore][zscore.smaller]$size <- 10/(1+abs(V(igraph)$"zscore-para"[good.zscore][zscore.smaller]) )
  
  tg <- delete.vertices(igraph,  V(igraph)[ good.zscore ]$"zscore-para" < 0)
  
  V(igraph)[is.na(V(igraph)$"zscore-para")]$vertex.shape<-"rectangle"
  
  V(igraph)[!is.na(V(igraph)$"zscore-para")]$vertex.shape<-"circle"
  
  if(plot!="FALSE"){
  plot(igraph, vertex.shape=V(igraph)$vertex.shape)
  plot(tg, vertex.shape=V(igraph)$vertex.shape)
  }

  graphs <- NULL
  graphs[[1]] <- igraph
  graphs[[2]] <- tg
    
  names(graphs) <- c("Paralogs-Sizes", "Paralogs-Removed")
  
  
  return(graphs)
}
