referenceNetwork <-
function(igraph, vertex.attributes=NULL, barcode.value=NULL, unigene.value=NULL, rnaseqlog2.value=NULL, rnaseq.value=NULL){

  network.parameters.save <- list()
  igraph.reduced <- igraph
  
for(n.attr in 1:length(vertex.attributes)){  

  vertex.attribute.run <- vertex.attributes[n.attr]
  
  value.vertex <- get.vertex.attribute(graph=igraph.reduced, name=vertex.attribute.run)
  
  if(length(grep("barcode", vertex.attribute.run))>0){
    if(!is.null(barcode.value)){
    value.selection <- value.vertex>barcode.value 
    value.selection[is.na(value.selection)] <- TRUE
    value.name <- get.vertex.attribute(graph=igraph.reduced, name="name")[!value.selection]
    
    igraph.reduced <- delete.vertices(igraph.reduced, value.name)
    }
  }
  
  if(length(grep("unigene", vertex.attribute.run))>0){
    if(!is.null(unigene.value)){
    value.selection <- value.vertex>unigene.value 
    value.selection[is.na(value.selection)] <- TRUE
    value.name <- get.vertex.attribute(graph=igraph.reduced, name="name")[!value.selection]
    
    igraph.reduced <- delete.vertices(igraph.reduced, value.name)
    }
  }
  
  if(length(grep("rnaseq", vertex.attribute.run))>0){
    
    if(!is.null(rnaseqlog2.value)){
      
      value.selection <- log2(as.numeric(value.vertex))>rnaseqlog2.value
      value.selection[is.na(value.selection)] <- TRUE
      value.name <- get.vertex.attribute(graph=igraph.reduced, name="name")[!value.selection]
      
      igraph.reduced <- delete.vertices(igraph.reduced, value.name)
      
    }
    
    if(!is.null(rnaseqlog2.value)){
    value.selection <- value.vertex>rnaseq.value 
    value.selection[is.na(value.selection)] <- TRUE
    value.name <- get.vertex.attribute(graph=igraph.reduced, name="name")[!value.selection]
    
    igraph.reduced <- delete.vertices(igraph.reduced, value.name)
    }
  }


  
}
  degree.g <- igraph::degree(igraph.reduced)
  betweenness.g <- igraph::betweenness(igraph.reduced)
  eigenvector.g <- igraph::evcent(igraph.reduced)$vector
  clustering.coefficient.g <- igraph::transitivity(igraph.reduced, type="local")
  
  network.parameters <- cbind(degree.g,betweenness.g, eigenvector.g, clustering.coefficient.g)
  
  network.parameters <- network.parameters[order(network.parameters[,1], decreasing=TRUE),]
  
  network.parameters.save<- network.parameters
  
  
  return.list <- list()
  return.list[[1]] <- igraph.reduced
  return.list[[2]] <- network.parameters.save
  names(return.list) <- c("ReferenceNetwork", "NetworkParameters")
  
return(return.list)

}
