removeDuplicatedEdges <- function(igraph){
  
  g <- igraph
  
  vertex.g <- NULL
  for(attr in list.vertex.attributes(g)){
    vertex.g <- cbind(vertex.g, get.vertex.attribute(g, attr))
  }
  colnames(vertex.g) <- as.character(list.vertex.attributes(g))
  
  edges.g <- NULL
  
  for(attr in list.edge.attributes(g)){
    edges.g <- cbind(edges.g, get.edge.attribute(g, attr))
  }
  edges <- as.data.frame(get.edgelist(g))
  
  edges.g.comp <- cbind(edges, edges.g)
  
  colnames(edges.g.comp)[3:ncol(edges.g.comp)] <- as.character(list.edge.attributes(g))
  
  edges.g.comp <- edges.g.comp[!duplicated(edges.g.comp),]
  
  g.new <- graph.data.frame(edges.g.comp, FALSE, vertex.g)
  
  for(attr in list.edge.attributes(g.new)){
    
    test <- get.edge.attribute(g.new, attr)
    
    if(length(grep("[0-9]", test))>0 | length(grep("\\-[0-9]", test))>0){
      attr.numeric <- as.numeric(get.edge.attribute(g.new, attr))
      g.new <- remove.edge.attribute(g.new, attr)
      g.new <- set.edge.attribute(g.new, attr, value=attr.numeric)
      
    }
  }
  for(attr in list.vertex.attributes(g.new)){
    
    if(attr!="name" & attr!="Paralogs" & attr!="color"){
      test <- get.vertex.attribute(g.new, attr)
      
      if(length(grep("[0-9]", test))>0 | length(grep("\\-[0-9]", test))>0){
        attr.numeric <- as.numeric(get.vertex.attribute(g.new, attr))
        g.new <- remove.vertex.attribute(g.new, attr)
        g.new <- set.vertex.attribute(g.new, attr, value=attr.numeric)
        
      }
    }
    
  }
  
  return(g.new)
  
}
