selectEdgesHighestNodeAttribute <-
function(igraph, attribute, nodelist){
  
  compared.nodes <- paste(nodelist, collapse="|")
  
  for(name.para in nodelist){igraph <- set.vertex.attribute(graph=igraph, index=V(igraph)[V(igraph)$name==name.para], name="ParalogsCompared", value=compared.nodes)}
   
  edge.names <- get.edgelist(igraph, names=TRUE)
  
  attribute.values <- cbind(V(igraph)$name ,get.vertex.attribute(igraph, name=attribute ))
  
  if(length(unique(attribute.values[attribute.values[,1]%in%nodelist,2]))==1) return(list(igraph,NULL))
  
  node.list.in.graph <- attribute.values[attribute.values[,1]%in%nodelist,]
  nodelist.winner.number <- which.max(node.list.in.graph[node.list.in.graph[,1]%in%nodelist,2])
  nodelist.winner <-  node.list.in.graph[nodelist.winner.number]
  
  edge.list.nodelist <-function(x, y){y[y[,1]%in%x|y[,2]%in%x,]}
  
  list.edges <- lapply(nodelist[nodelist%in%V(igraph)$name], FUN=function(x) edge.list.nodelist(x, edge.names))
  list.edges.df <- do.call(rbind, list.edges)
  
  list.edges.n <- lapply(list.edges, as.character)
  list.edges.common <- Reduce(intersect, list.edges.n)
  
  list.edges.common.list <- lapply(list.edges.common, FUN=function(x) edge.list.nodelist(x, list.edges.df))
  list.edges.winner <- lapply(list.edges.common.list, function (x) subset(x, subset=x[,1]%in%nodelist.winner|x[,2]%in%nodelist.winner))
  list.edges.looser <- do.call(rbind,lapply(list.edges.common.list, function (x) subset(x, subset=!x[,1]%in%nodelist.winner|x[,2]%in%nodelist.winner)))
  
  list.edges.remove.number <- grep("TRUE",compareDataframes(edge.names, list.edges.looser)[[1]][,3])
  
  igraph.reduced <- igraph - E(igraph)[list.edges.remove.number]
  node.list.reduced <- nodelist[ !nodelist%in%nodelist.winner ]
  
  node.list.final <- unique(node.list.reduced[!node.list.reduced%in%get.edgelist(igraph.reduced)])
  
  return(list(igraph.reduced, node.list.reduced))
}
