unigeneDownload <-
function(name, directory){
  
  preURL <- "ftp://ftp.ncbi.nih.gov/repository/UniGene/"
  pastURL <- "/"
  
  url <- paste(preURL, name, pastURL, sep="")
  
  if(url.exists(url)){
    
    txt = getURL(url)
    gst <- "[0-9][0-9][ ]{2}[1-2][0-9][0-9][0-9][ ]{1}(.*?)data\\.gz"
     tm <- regexec(gst, txt)
    fin <- regmatches(txt, tm)[[1]][2]
    
    downurl <- paste(url, fin, "data.gz", sep="")
    downurl2 <- paste(url, fin, "lib.info.gz", sep="")
    
    filename <- paste(directory, fin, "data.gz", sep="")
    filename2 <- paste(directory, fin, "lib.info.gz", sep="")
    
    download.file(downurl, filename, quiet=TRUE)
    download.file(downurl2, filename2, quiet=TRUE)
    
    
    data <- readLines(gzfile(filename))
    write.table(data, file=paste(directory, fin, "data", sep=""),  row.names=FALSE, col.names=FALSE, quote=FALSE)
    
    data2 <- readLines(gzfile(filename2))
    write.table(data2, file=paste(directory, fin, "lib.info", sep=""),  row.names=FALSE, col.names=FALSE, quote=FALSE)
  }
  
  else{
    
    print(url)
    
  }
    return(fin)
    
  }
