\name{Apid2Sql}
\alias{Apid2Sql}

\title{
Apid2Sql creates a protein protein interaction network (ppi) based on the human interactome provided by the APID database
}
\description{
Apid2Sql uses the data set APID provides to build a MySQL database. This enables path2enet to compare pathway data with ppi data.  
}
\usage{
Apid2Sql(user=NULL,host=NULL, driver="MySQL",password=NULL,file=NULL,ppi=NULL,database=NULL)
}

\arguments{
  \item{user}{
To connect to the database the function needs a registered database user which has the sufficient rights to use the "create" statement in order to create the MySQL database.
}
  \item{host}{
The location of the hosted database. Normally this value is localhost or the specific IP of the database.
}
  \item{driver}{
The type of database RMySQL should connect to. 
}
  \item{password}{
The password of the database user to access the database. 
}
  \item{file}{
The file Apid2Sql should use to build the database. At the moment the file data(ppiHumanUniP) should be used. 
}
  \item{ppi}{
This attribute should be data(ppiHumanUniP) which is the actual ppi network provides. 
}
  \item{database}{
The name of the database the function generates.  
}
}
\value{
The function returns TRUE, if the function could create the database. 
}
\references{

}
\author{
Conrad Friedrich Droste
}

\examples{
## You have to set the parameters to access the databases first. 
\dontrun{
data(ppiHumanUniP)
Apid2Sql(user="root",host="localhost", driver="MySQL",password="PW",file=NULL,ppi=ppiHumanUniP,database="PPI")
}
}
\keyword{ ~network }

