\name{barcodeTissueUniP}
\alias{barcodeTissueUniP}
\docType{data}
\title{
Tissue specific data of The Gene Expression Barcode mapped to Uniprot-Swissprot identifiers - HUMAN
}
\description{
The human dataset of the Gene Expression Barcode contains the analysis of 195 diffenrent tissues with the barcode method. It shows how likely a gene is expressed in a cellular stage and/or tissue. The scale is 0 to 1. The value 0 means that it is very likely that the gene is expressed in the cellular stage. In the process to prepare the data to enrich biological networks, the AffyIDs of the original data set were mapped to Uniprot-Swissprot identifiers and the mean of multiple probes was calculated. The plattform is HGU133plus2. 
}
\usage{data(barcodeTissueUni)}
\format{
  A data frame with 17268 barcode values mapped to Uniprot-Swissprot identifier on the following 195 tissues / cell cultures.
  \describe{
    \item{\code{10_tissue_mixture}}{a numeric vector}
    \item{\code{accumbens}}{a numeric vector}
    \item{\code{adipose_tissue}}{a numeric vector}
    \item{\code{adipose_tissue_omental}}{a numeric vector}
    \item{\code{adipose_tissue_subcutaneous}}{a numeric vector}
    \item{\code{adrenal_gland_cortex}}{a numeric vector}
    \item{\code{airway_basal_cells}}{a numeric vector}
    \item{\code{airway_epithelial_cells}}{a numeric vector}
    \item{\code{ambion_human_brain_reference_rna}}{a numeric vector}
    \item{\code{amniocytes}}{a numeric vector}
    \item{\code{amniotic_fluid}}{a numeric vector}
    \item{\code{amygdala}}{a numeric vector}
    \item{\code{aorta}}{a numeric vector}
    \item{\code{aortic_valve}}{a numeric vector}
    \item{\code{artery}}{a numeric vector}
    \item{\code{ascending_colon}}{a numeric vector}
    \item{\code{ascending_colon_mucosa}}{a numeric vector}
    \item{\code{basal_ganglia}}{a numeric vector}
    \item{\code{biceps_brachii_muscle}}{a numeric vector}
    \item{\code{bladder}}{a numeric vector}
    \item{\code{blood}}{a numeric vector}
    \item{\code{bone_marrow}}{a numeric vector}
    \item{\code{brain}}{a numeric vector}
    \item{\code{brain_fp}}{a numeric vector}
    \item{\code{brain_grey_matter}}{a numeric vector}
    \item{\code{brain_white_matter}}{a numeric vector}
    \item{\code{breast}}{a numeric vector}
    \item{\code{breast_blood_vessels}}{a numeric vector}
    \item{\code{breast_ductal_cells}}{a numeric vector}
    \item{\code{breast_fibroblast}}{a numeric vector}
    \item{\code{breast_stroma}}{a numeric vector}
    \item{\code{bronchial_epithelial_cells}}{a numeric vector}
    \item{\code{bronchus}}{a numeric vector}
    \item{\code{buccal_mucosa}}{a numeric vector}
    \item{\code{caudate}}{a numeric vector}
    \item{\code{cerebellum}}{a numeric vector}
    \item{\code{cervix}}{a numeric vector}
    \item{\code{chorion_villus_cells}}{a numeric vector}
    \item{\code{colon}}{a numeric vector}
    \item{\code{colon_cecum}}{a numeric vector}
    \item{\code{colonic_mucosa}}{a numeric vector}
    \item{\code{conjunctiva}}{a numeric vector}
    \item{\code{cord_blood}}{a numeric vector}
    \item{\code{cornea}}{a numeric vector}
    \item{\code{coronary_artery}}{a numeric vector}
    \item{\code{coronary_smooth_muscle_cells}}{a numeric vector}
    \item{\code{corpus_callosum}}{a numeric vector}
    \item{\code{cortex}}{a numeric vector}
    \item{\code{deltoid_muscle}}{a numeric vector}
    \item{\code{dermal_dendritic_cell}}{a numeric vector}
    \item{\code{dorsal_root_ganglia}}{a numeric vector}
    \item{\code{effector_cd8+_t_cells}}{a numeric vector}
    \item{\code{endobronchial_epithelial_lining_fluid}}{a numeric vector}
    \item{\code{endometrial_endothelial_cell}}{a numeric vector}
    \item{\code{endometrium}}{a numeric vector}
    \item{\code{entorhinal_cortex}}{a numeric vector}
    \item{\code{epidermal_keratinocytes}}{a numeric vector}
    \item{\code{epididimus_caput}}{a numeric vector}
    \item{\code{epididimus_cauda}}{a numeric vector}
    \item{\code{epididimus_corpus}}{a numeric vector}
    \item{\code{epididimus_head}}{a numeric vector}
    \item{\code{epididimus_tail}}{a numeric vector}
    \item{\code{esophageal_squamous_epithelium}}{a numeric vector}
    \item{\code{esophagus}}{a numeric vector}
    \item{\code{fallopian_tube}}{a numeric vector}
    \item{\code{fallopian_tube_epithelium}}{a numeric vector}
    \item{\code{fetal_cartilage}}{a numeric vector}
    \item{\code{fetal_lung}}{a numeric vector}
    \item{\code{fibroblasts}}{a numeric vector}
    \item{\code{forearm_epdermis}}{a numeric vector}
    \item{\code{foreskin_fibroblast}}{a numeric vector}
    \item{\code{frontal_lobe}}{a numeric vector}
    \item{\code{gingival_epithelium}}{a numeric vector}
    \item{\code{gingival_tissue}}{a numeric vector}
    \item{\code{head_and_neck_epithelial_cells}}{a numeric vector}
    \item{\code{heart}}{a numeric vector}
    \item{\code{heart_atrium}}{a numeric vector}
    \item{\code{heart_ventricle}}{a numeric vector}
    \item{\code{hippocampus}}{a numeric vector}
    \item{\code{hypothalamus}}{a numeric vector}
    \item{\code{ileal_mucosa}}{a numeric vector}
    \item{\code{intestinal_mucosa}}{a numeric vector}
    \item{\code{jejunal_tissue}}{a numeric vector}
    \item{\code{kidney}}{a numeric vector}
    \item{\code{kidney_cortex}}{a numeric vector}
    \item{\code{kidney_medulla}}{a numeric vector}
    \item{\code{langerhans_cell}}{a numeric vector}
    \item{\code{left_atrial_appendage}}{a numeric vector}
    \item{\code{leukocytes}}{a numeric vector}
    \item{\code{liver}}{a numeric vector}
    \item{\code{lung}}{a numeric vector}
    \item{\code{lymphatic_endothelial_cells}}{a numeric vector}
    \item{\code{lymph_node}}{a numeric vector}
    \item{\code{lymphocytes}}{a numeric vector}
    \item{\code{macaca_fascicularis_blood}}{a numeric vector}
    \item{\code{macaca_mulatta_blood}}{a numeric vector}
    \item{\code{mammary_epithelial_cells}}{a numeric vector}
    \item{\code{mammary_gland}}{a numeric vector}
    \item{\code{maqc_sample_a,_ie,_stratagene_universal_human_reference_rna_(uhrr,_catalog_#740000)}}{a numeric vector}
    \item{\code{maqc_sample_b,_ie,_ambion_human_brain_reference_rna_(hbrr,_catalog_#6050)}}{a numeric vector}
    \item{\code{maqc_sample_c,_ie,_maqc_samples_a_and_b_mixed_at_75:25_ratio_(a:b)}}{a numeric vector}
    \item{\code{maqc_sample_d,_ie,_maqc_samples_a_and_b_mixed_at_25:75_ratio_(a:b)}}{a numeric vector}
    \item{\code{medial_temporal_gyrus}}{a numeric vector}
    \item{\code{medulla}}{a numeric vector}
    \item{\code{menstruation_blood}}{a numeric vector}
    \item{\code{midbrain}}{a numeric vector}
    \item{\code{mucosa}}{a numeric vector}
    \item{\code{myometrium}}{a numeric vector}
    \item{\code{nasal_tissue}}{a numeric vector}
    \item{\code{nasopharyngeal_epithelial_cells}}{a numeric vector}
    \item{\code{nipple_cross_section}}{a numeric vector}
    \item{\code{nodose_nucleus}}{a numeric vector}
    \item{\code{occipital_lobe}}{a numeric vector}
    \item{\code{oral_mucosa}}{a numeric vector}
    \item{\code{oral_tissue}}{a numeric vector}
    \item{\code{ovarian_stroma}}{a numeric vector}
    \item{\code{ovarian_surface_epithelium}}{a numeric vector}
    \item{\code{ovary}}{a numeric vector}
    \item{\code{pancreas}}{a numeric vector}
    \item{\code{parietal_lobe}}{a numeric vector}
    \item{\code{parotid_gland}}{a numeric vector}
    \item{\code{pbmc}}{a numeric vector}
    \item{\code{penis}}{a numeric vector}
    \item{\code{pericardial_adipose_tissue}}{a numeric vector}
    \item{\code{pharyngeal_mucosa}}{a numeric vector}
    \item{\code{pituitary_gland}}{a numeric vector}
    \item{\code{placenta}}{a numeric vector}
    \item{\code{pleural_tissue}}{a numeric vector}
    \item{\code{pmns}}{a numeric vector}
    \item{\code{postcentral_gyrus}}{a numeric vector}
    \item{\code{posterior_singulate}}{a numeric vector}
    \item{\code{prefrontal_cortex}}{a numeric vector}
    \item{\code{primary_visual_cortex}}{a numeric vector}
    \item{\code{prostate}}{a numeric vector}
    \item{\code{prostate_stroma}}{a numeric vector}
    \item{\code{putamen}}{a numeric vector}
    \item{\code{quadriceps_muscle}}{a numeric vector}
    \item{\code{rectum_mucosa}}{a numeric vector}
    \item{\code{renal_cortical_tissue}}{a numeric vector}
    \item{\code{retina}}{a numeric vector}
    \item{\code{retinamacula_biopsy}}{a numeric vector}
    \item{\code{retinanasal_biopsy}}{a numeric vector}
    \item{\code{retinasurround_biopsy}}{a numeric vector}
    \item{\code{saliva}}{a numeric vector}
    \item{\code{saliva_exosomes}}{a numeric vector}
    \item{\code{salivary_gland}}{a numeric vector}
    \item{\code{saphenous_vein}}{a numeric vector}
    \item{\code{seminal_vesicle}}{a numeric vector}
    \item{\code{sigmoid_colon}}{a numeric vector}
    \item{\code{sigmoid_colon_mucosa}}{a numeric vector}
    \item{\code{sinus_mucosa}}{a numeric vector}
    \item{\code{skeletal_muscle}}{a numeric vector}
    \item{\code{skin}}{a numeric vector}
    \item{\code{small_intestine}}{a numeric vector}
    \item{\code{sperm}}{a numeric vector}
    \item{\code{spinal_cord}}{a numeric vector}
    \item{\code{spleen}}{a numeric vector}
    \item{\code{sputum}}{a numeric vector}
    \item{\code{stomach}}{a numeric vector}
    \item{\code{stomach_cardiac}}{a numeric vector}
    \item{\code{stomach_fundus}}{a numeric vector}
    \item{\code{stomach_pyloric}}{a numeric vector}
    \item{\code{stratagene_universal_human_reference_rna}}{a numeric vector}
    \item{\code{substantia_nigra}}{a numeric vector}
    \item{\code{substantia_nigra_pars_compacta}}{a numeric vector}
    \item{\code{substantia_nigra_reticulata}}{a numeric vector}
    \item{\code{subthalamic_nucleus}}{a numeric vector}
    \item{\code{superior_frontal_gyrus}}{a numeric vector}
    \item{\code{synovial_membrane}}{a numeric vector}
    \item{\code{synovium}}{a numeric vector}
    \item{\code{tarsal_conjunctiva}}{a numeric vector}
    \item{\code{t_cells}}{a numeric vector}
    \item{\code{temporal_lobe}}{a numeric vector}
    \item{\code{testes}}{a numeric vector}
    \item{\code{thalamus}}{a numeric vector}
    \item{\code{thymus}}{a numeric vector}
    \item{\code{thyroid}}{a numeric vector}
    \item{\code{tongue_main_corpus}}{a numeric vector}
    \item{\code{tongue_superior}}{a numeric vector}
    \item{\code{tonsil}}{a numeric vector}
    \item{\code{tonsil_dark_zone_cells}}{a numeric vector}
    \item{\code{tonsil_epithelium}}{a numeric vector}
    \item{\code{tonsil_light_zone_cells}}{a numeric vector}
    \item{\code{trachea}}{a numeric vector}
    \item{\code{transverse_colon}}{a numeric vector}
    \item{\code{trigeminal_ganglia}}{a numeric vector}
    \item{\code{uncinate_tissue}}{a numeric vector}
    \item{\code{urethra}}{a numeric vector}
    \item{\code{uterus}}{a numeric vector}
    \item{\code{vagina}}{a numeric vector}
    \item{\code{vastus_lateralis}}{a numeric vector}
    \item{\code{ventral_tegmental_area}}{a numeric vector}
    \item{\code{vestibular_nuclei_superior}}{a numeric vector}
    \item{\code{vulva}}{a numeric vector}
    \item{\code{Freq}}{a numeric vector}
  }
}

\source{
HGU133plus2 (Human) tissues v3 data of http://barcode.luhs.org/index.php?page=transcriptome 
}
\references{
McCall et al., "The Gene Expression Barocde: leveraging
public data repositories to begin cataloging the human and
murine transcriptomes"
Nucleic Acids Research. 2011 Jan;39(suppl 1):D1011-D1015

http://barcode.luhs.org/
}
\examples{
data(barcodeTissueUniP)
head(barcodeTissueUniP)

}
\keyword{datasets}
