\name{compareDataframes}
\alias{compareDataframes}
\title{
Comparing two data frames with interaction information to each other
} 
\description{
This function compares to data frame of relation information of an igraph-object to each other. The function adds a column to each data frame with the attribute "Intersection". Intersection is True if both data frame share a relation in commun. The direction of the relations is unimportant, because the functions looks in both directions, if an interaction is present in both data frames. The function is mostly an internal function of the Path2enet-package. 
}
\usage{
compareDataframes(BaseDataframe, CompareDataframe)
}

\arguments{
  \item{BaseDataframe}{
The BaseDataframe is one of the data frames the function compares to each other. 
}
  \item{CompareDataframe}{
The CompareDataframe is the data frames the function compares to the BaseDataframe. 
}
}

\value{
\item{BaseDataframe_compared }{The Basedataframe with the information of interactions shared with the CompareDataframe}
 \item{CompareDataframe_final }{The CompareDataframe with the information of interactions shared with the BaseDataframe}
}

\author{
Conrad Drost
}

\examples{

g <- graph.ring(10)
g2 <- g
V(g2)$name <- c(1:9,11)

 compareDataframes(BaseDataframe=as.data.frame(get.edgelist(g), stringsAsFactors=FALSE),CompareDataframe=as.data.frame(get.edgelist(g2), stringsAsFactors=FALSE))

}
\keyword{ network }
\keyword{ internal }
