\name{createUnigeneDatabase}
\alias{createUnigeneDatabase}
\title{
MySQL statements to build the Unigene-Database
}
\description{
This function uses the data-objects the function parseHslib, parseHsdata and parseEST create to build the Unigene-MySQL database. It creates the tables est, est_by_genetissue, eset_by_symboltissue, gene, gene_est_tissue, library, tissue and ug_ensemble of the Unigene-Database. 
}
\usage{
createUnigeneDatabase(dbDriver = NULL, dbUser = NULL, dbHost = NULL, password = NULL, dbData = NULL, directory = NULL, species = NULL)
}
\arguments{
  \item{dbDriver}{
The function DBI needs a Driver to connect to the database. If you use a MySQL database to store the information of KGML-files, the driver is "MySQL".
}
  \item{dbUser}{
To connect to the database the function needs a registered database user which has the sufficient rights to use the "select" statement in order to obtain data of the databse.
}
  \item{dbHost}{
The location of the hosted database. Normally this value is localhost or the specific IP of the database.
}
  \item{password}{
The password of the database user to access the database.
}
  \item{dbData}{
The name of the database the function mkESTdb creates.
}
  \item{directory}{
The function uses this directory to load the EST data files. 
}
  \item{species}{
Abbrevation of Unigene database of the species like "Hs" for "Homo_sapiens". 
}
}
\details{
To download the file and to look for the abbrevation please visit ftp://ftp.ncbi.nih.gov/repository/UniGene/. 
}
\value{

\item{tables }{It creates the tables of the Unigene-Database. }


}
\references{
Please go to ftp://ftp.ncbi.nih.gov/repository/UniGene/ to look for the name and abbrevation of the organism in the Unigene database and the documentation of the different entries in its files.
}
\author{
Conrd Droste
}

\seealso{
Please use help(mkESTdb) to read the description of the tables the function creates.
}
\examples{

\dontrun{
#You have to adjust the parameters regarding your database and the directory where the EST files are stored.

createUnigeneDatabase(dbDriver="MySQL", dbUser="root", dbHost="localhost", password="pw", dbData="unigeneEST", directory="dir", species="Hs.")
}

  }


\keyword{ data }
\keyword{ internal }
