\name{duplRowsMeansSumsNumber}
\alias{duplRowsMeansSumsNumber}
\title{
Aggregation of duplicated values in a matrix}
\description{
The function aggregates duplicated values (rownames) of matrix, counts the number of duplicates and calculates the mean or the sum of these values. 
}
\usage{
duplRowsMeansSumsNumber(matrix, mean = TRUE, sum = FALSE)
}
\arguments{
  \item{matrix}{
Matrix with duplicated values.
}
  \item{mean}{
TRUE: The function calculates the mean of the duplicated values of matrix.
}
  \item{sum}{
TRUE: The function calculates the sum of the duplicated values of matrix.
}
}
\details{
}
\value{
Returns a matrix with the aggregated values of the matrix and with the frequency of the duplicated values. 
}
\references{
}
\author{
Conrad Friedrich Droste
}
\examples{
mm <- matrix(nrow=10, ncol=2)
rownames(mm) <- c(letters[1:5],letters[1:5])
mm[,1] <- 1:10
mm[,2] <- 11:20
duplRowsMeansSumsNumber(mm, mean=TRUE, sum=FALSE)
duplRowsMeansSumsNumber(mm, mean=FALSE, sum=TRUE)
}
\keyword{ ~intern }
