\name{estTissueUniP}
\alias{estTissueUniP}
\docType{data}
\title{
ESTs provided by the Unigene database grouped to different tissues
}
\description{
This data frame provides the number of Expression Sequence Tags in different tissues mapped to UniprotKB-ID or KEGG-ID. The organism is Homo Sapiens. This example provides the ESTs of Homo Sapiens in Normal condition. 
}
\usage{data(Unitissue)}
\format{
  A data frame with 87916 observations on the following 52 variables.
  \describe{
\item{\code{ID}}{The UniprotKB-ID or KEGG-ID related to the Expression Sequence Tag [EST] in a specific tissue.}
\item{\code{adipose_tissue}}{number of ESTs in adipose tissue}
    \item{\code{adrenal_gland}}{number of ESTs in adrenal gland}
    \item{\code{amniotic_fluid}}{number of ESTs in amniotic fluid}
    \item{\code{bladder}}{number of ESTs in bladder}
    \item{\code{blood}}{number of ESTs in blood}
    \item{\code{bone}}{number of ESTs in bone}
    \item{\code{bone_marrow}}{number of ESTs in bone marrow}
    \item{\code{brain}}{number of ESTs in brain}
    \item{\code{bronchus}}{number of ESTs in bronchus}
    \item{\code{cervix}}{number of ESTs in cervix}
    \item{\code{connective_tissue}}{number of ESTs in connective tissue}
    \item{\code{ear}}{number of ESTs in ear}
    \item{\code{embryonic_tissue}}{number of ESTs in embryonic tissue}
    \item{\code{epididymis}}{number of ESTs in epididymis}
    \item{\code{esophagus}}{number of ESTs in esophagus}
    \item{\code{eye}}{number of ESTs in eye}
    \item{\code{ganglia}}{number of ESTs in ganglia}
    \item{\code{heart}}{number of ESTs in heart}
    \item{\code{intestine}}{number of ESTs in intestine}
    \item{\code{kidney}}{number of ESTs in kidney}
    \item{\code{larynx}}{number of ESTs in larynx}
    \item{\code{liver}}{number of ESTs in liver}
    \item{\code{lung}}{number of ESTs in lung}
    \item{\code{lymph_node}}{number of ESTs in lymph node}
    \item{\code{mammary_gland}}{number of ESTs in mammary gland}
    \item{\code{mixed}}{number of ESTs in mixed}
    \item{\code{mouth}}{number of ESTs in mouth}
    \item{\code{muscle}}{number of ESTs in muscle}
    \item{\code{nerve}}{number of ESTs in nerve}
    \item{\code{ovary}}{number of ESTs in ovary}
    \item{\code{pancreas}}{number of ESTs in pancreas}
    \item{\code{parathyroid}}{number of ESTs in parathyroid}
    \item{\code{peritoneum}}{number of ESTs in peritoneum}
    \item{\code{pharynx}}{number of ESTs in pharynx}
    \item{\code{pineal_gland}}{number of ESTs in pineal gland}
    \item{\code{pituitary_gland}}{number of ESTs in pituitary gland}
    \item{\code{placenta}}{number of ESTs in placenta}
    \item{\code{prostate}}{number of ESTs in prostate}
    \item{\code{salivary_gland}}{number of ESTs in salivary gland}
    \item{\code{skin}}{number of ESTs in skin}
    \item{\code{spinal_cord}}{number of ESTs in spinal cord}
    \item{\code{spleen}}{number of ESTs in spleen}
    \item{\code{stomach}}{number of ESTs in stomach}
    \item{\code{testis}}{number of ESTs in testis}
    \item{\code{thymus}}{number of ESTs in thymus}
    \item{\code{thyroid}}{number of ESTs in thyroid}
    \item{\code{tonsil}}{number of ESTs in tonsil}
    \item{\code{umbilical_cord}}{number of ESTs in umbilical cord}
    \item{\code{uncharacterized_tissue}}{number of ESTs in uncharacterized tissue}
    \item{\code{uterus}}{number of ESTs in uterus}
    \item{\code{vascular}}{number of ESTs in vascular}
  }
}
\details{
A personal data set can be create with the function ... . 
}
\source{
ftp://ftp.ncbi.nih.gov/repository/UniGene/
}
\examples{
data(estTissueUniP)
head(estTissueUniP)
}
\keyword{datasets}
