\name{expParaAttr}
\alias{expParaAttr}
\title{
Visualization of functional Paralogs in a biological network
}
\description{
The expParaAttr-function uses the data of funcional paralogs in the KEGG database to calculate and to highlight the differences regarding a vertex attribute. In the first step the function searches for functional paralogs and similar relations they share in the network. Then it compares the vertex parameter of the functional paralogs the user selects. The node size demonstrates the differences. In the next step the functions selects only the edges of the functional paralogs with the highest vertex attribute. In the third step the network only keeps nodes which have at least one relation in the network. This simplifies the network in order to analyze the network in a simple and clear way. 
}
\usage{
expParaAttr(igraph, reducedNodes = NULL, plot = "FALSE", tkplot = "FALSE", vertex.attribute, group = "name", max.node.size = 10, min.node.size = 10, layoutComp = NULL, layoutRmEdges = NULL, layoutReduced = NULL, saveName = "graph")
}
\arguments{
  \item{igraph}{
An igraph-object the function path2enet has generated. 
}
  \item{reducedNodes}{
A list of nodes which the function uses to create the reduced Network.
}
  \item{plot}{
TRUE: The function generates a pdf with the plots of the three networks it generates.
}
  \item{tkplot}{
TRUE: The function generates dynamicals plots of the three networks it generates using the tkplot-function.
}
  \item{vertex.attribute}{
The vertex-attribute of the network which the function should use to compare the functional paralogs of the network to each other.
}
  \item{group}{
The vertex-attribute which stores the information which nodes are functional paralog. 
}
  \item{max.node.size}{
The node size of the verteces with the highest vertex-attribute in the network. 
}
  \item{min.node.size}{
The node size of the verteces with the smallest vertex-attribute in the network. 
}
  \item{layoutComp}{
A created layout of the complete network. 
}
  \item{layoutRmEdges}{
A created layout of the network of the edges of only the functional paralogs with the highest vertex attribute. 
}
  \item{layoutReduced}{
A created layout of the reduced network of the nodes who have at least one relation in the network of the functional paralogs with the highest vertex attributes. 
}
  \item{saveName}{
The function uses this name to save the three pdfs of the networks it generates. 
}
}

\value{
The function generates and plots three network it generates based on the vertex-attribute:
\item{AttrSizes }{This network includes all edges and nodes of the igraph-object the user selected. The node-size represents the vertex value of the nodes. The node color shows, which nodes belong to the same functional paralog. If the network has many functional paralogs, some groups of functional paralogs share the same color. }
\item{AttrRemovedEdges }{This biological networks keeps the node-color and the node size of the first network but it only keeps the edges of the functional paralogs with the highest vertex-attribute. If functional paralogs have the same value the function keeps the edges of both nodes. }
\item{AttrRemovedNodes }{The third network keeps the node-size and vertex-color of the first network but the function only keeps nodes which have at least one reltion in the network. }

}
\author{
Conrad Friedrich Droste
}


\examples{

}
\keyword{ network }
\keyword{ graphics }