\name{graphTKplotterPATHW}
\alias{graphTKplotterPATHW}

\title{
Basic plots of Path2enet's generated igraph-objects
}
\description{
This functions plots the igraph objects generated by Path2enet in three different ways: 1. Normal Plot, 2. Highlightning the first quartile of hubs in the igraph-object and 3. Highlightning the nodes with the highest quartile of eigenvector in the igraph-object. The user can decide to create dynamic plots if the tkplot-package is installed. 
}
\usage{
graphTKplotterPATHW(igraph, name = " ", sub = " ", tkplot = FALSE, eigenvector = FALSE, hub = FALSE)
}

\arguments{
  \item{igraph}{
Graph object of class igraph
}
  \item{name}{
Title of the Plot
}
  \item{sub}{
Subtitle of the Plot
}
  \item{tkplot}{
  If this parameter is set to TRUE, the function generates dynamic plots by using the tkplot function.
}
  \item{eigenvector}{
 If this parameter is set to TRUE, the function generates a plot in which the function highlights the first quartile of nodes with the highest eigenvector.
}
  \item{hub}{
 If this parameter is set to TRUE, the function generates a plot in which the function highlights the first quartile of hubs with the highest hubscore.
}
}
\details{

}
\value{
\item{ g }{Returns a igraph-object with modified parameters }


}
\references{
The function uses the igraph-functions plot.igraph, hub.score and eigenvector. Please look for the meaning of this calculations in the mentioned package.
}
\author{
Conrad Droste
}


\seealso{
help(plot.igraph), help(hub.score), help(eigenvector)
}
\examples{
data(signal.cancer.local)
#Different plots

#Without plotting a dynamic equivalent of the igraph-object
normal <- graphTKplotterPATHW(signal.cancer.local, name="Singal Cancer Local", sub="subtitle")

\dontrun{
#Plotting a dynamic equivalent of the igraph-object
withdynamic <- graphTKplotterPATHW(signal.cancer.local, name="mTor pathway", tkplot="T")

#Plotting a dynamic equivalent of the igraph-object highlighting the nodes with the highest eigenvector
eigenvector <- graphTKplotterPATHW(signal.cancer.local, name="mTor pathway", eigenvector="T", tkplot="T")

#Plotting a dynamic equivalent of the igraph-object highlighting the nodes with the highest hubscore
hub <- graphTKplotterPATHW(signal.cancer.local, name="mTor pathway", hub="T", tkplot="T")
}
}

\keyword{ plot }

