\name{parseHsdata}
\alias{parseHsdata}

\title{
Parse EST data Unigene data files
}
\description{
This function parses the *.data.gz files of the Unigene database and returns a matrix with the values: Sec_gene, Unigine ID, title, gene, cytoband, gene_id, express, restrexpr, chromosome
}
\usage{
parseHsdata(directory, species)
}
\arguments{
  \item{directory}{
The directory where the *.data.gz file is. 
}
  \item{species}{
The abbrevation the Unigene database uses for the species. Hs stands for Homo_sapiens.
}
}
\details{
The mkESTdb function calls this function in the process of the creation of the database. The function stores the data in the table "gene". The documention of mkESTdb explains this table in detail. help(mkESTdb)  
}
\value{
\item{mm }{A matrix which stores: sec_gene, id, title, gene, cytoband, gene_id, express, restrexpr and chromosome of the Unigene *.data.gz-file}
}
\references{
To download the file and to look for the abbrevation please visit ftp://ftp.ncbi.nih.gov/repository/UniGen
}
\author{
Conrad Droste
}

\seealso{
\code{\link[Path2enet:mkESTdb]{help(mkESTdb)}}
}
\examples{
#You have to replace the "/path/to/data/" parameter
\dontrun{
mm <- parseHsdata(directory="/path/to/data/", species="Hs")
}}

\keyword{ data }
\keyword{ internal }
