\name{parseHslib}
\alias{parseHslib}
\title{
Parse library information of Unigene data files
}
\description{
This function parses the *.lib.info.gz files of the Unigene database and returns a matrix.
}
\usage{
parseHslib(directory, species)
}

\arguments{
  \item{directory}{
The directory where the *.lib.info.gz file is. 
}
  \item{species}{
The abbrevation the Unigene database uses for the species. Hs stands for Homo_sapiens.
}
}
\details{
The mkESTdb function calls this function in the process of the creation of the database. The function stores the data in the table "library". 
}
\value{
\item{mm }{A matrix which stores: ID, TITLE, VERBRATIM_TISSUE, TISSUE, CELL_LINE_SOURCE, VERBATIM_DEVELOPMENTAL_STAGE, CANCER_SOURCE and VECTOR of the Unigene *.lib.info-file}
}
\references{
To download the file and to look for the abbrevation please visit ftp://ftp.ncbi.nih.gov/repository/UniGene/
}
\author{
Conrad Droste
}


\examples{
\dontrun{
#You have to replace the "/path/to/data/" parameter

mm <- parseHslib(directory="/path/to/data/", species="Hs")
}
}

\keyword{ data }
\keyword{ internal }
