\name{parsebrkegg}
\alias{parsebrkegg}
\title{
Parse the Brkegg file of the KEGG-database
}
\description{
This function automatically downloads and parses the Brkegg-files (for example br08901.keg) of the KEGG-database. Based on this data the function creates several SQL-commands in order to create the KeggMySQL-database. It also combines various pathways to Meta-pathways like SignalingPathways or NormalPathways (no pathway included is related to cancer or any other disease)
}
\usage{
parsebrkegg(kegbr, tricode)
}

\arguments{
  \item{kegbr}{
The path to the keggbr file. 
}
  \item{tricode}{
The tricode/abbrevation KEGG uses to describe an organism
}
}
\details{
This function is normally used internal. The function KeggXML2SqlDatabases uses it to create the necessary SQL-commands.
}
\value{
The result is a datafame 

item{Headtable }{The main category of KEGG-pathways like "Metabolism"}
item{Subtable }{The sub category of KEGG-pathways like "Carbohydrate_metabolism"}
item{PathwayIds }{PathwayIDs which are associated with the main or sub category. }
item{SQLcommands }{The SQL-commands based on the PathwayIDs of KEGG. }
item{PathwayNames }{Pathwaynames which are associated with the main or sub category.}
item{SQLcommandsPN }{The SQL-commands based on the Pathwaynames of KEGG.}
}
\references{
Please visit http://www.kegg.jp/kegg/brite.html to get more information about the KEGG-BR file. 
}
\author{
Conrad Droste
}


\seealso{
help(KeggXML2SqlDatabases) to get more information about the table structure of the KeggSql-database. 
}
\examples{
\dontrun{

#You already downloaded the KEGG-BR file of homo sapiens

keggBr <- parsebrkegg(kegbr="/path/to/br*.keg-file", tricode="hsa")

#The function downloads the KEGG-BR file

keggBr <- parsebrkegg(kegbr=NULL, tricode="hsa")
}
}

\keyword{ internal }
\keyword{ data }
