\name{ppiHumanUniP}
\alias{ppiHumanUniP}

\title{
Human Protein Protein Interaction network based on APID
}
\description{
Agile Protein Interaction DataAnalyzera is a bioinformatic tool that has been developed to allow exploration and analysis of main currently known information about protein-protein interactions, integrating it in a common and comparative platform. The analytical and integrative effort done by APID provides an open access frame where all known experimentally validated protein-protein interactions (BIND, BioGRID, DIP, HPRD, IntAct and MINT) are unified in a unique web application (http://bioinfow.dep.usal.es/apid/index.htm).

The platform was updated this year and the new set of human interactions is included in this data object. This data object contains 214844 unique protein protein interactions. 
}
\usage{
data(ppiHumanUnip)
}
\format{
 A matrix with 214844 unique protein protein interactions.  
   \describe{
    \item{\code{GeneID_1}}{a character vector Uniprot-SwissprotID}
    \item{\code{GeneID_2}}{a character vector Uniprot-SwissprotID}
    \item{\code{FROM_ID}}{a character vector Uniprot-ID}
    \item{\code{TO_ID}}{a numeric vector Uniprot-ID}
    \item{\code{Experiments}}{a numeric vector: number of experiments verifying a ppi}
    \item{\code{Methods}}{a numeric vector: number of different methods used verifying a ppi}
    \item{\code{Publications}}{a numeric vector: number of publications mentioning the ppi}
    \item{\code{X3DStructures}}{a numeric vector: X3DStructures of the interaction}
    \item{\code{CurationEvents}}{a numeric vector: CurationEvents how viable a ppi is}
}
}

\references{
Prieto C, De Las Rivas J: APID: Agile Protein Interaction DataAnalyzer. Nucleic Acids Res. 2006, 34:W298–W302.
}
\author{
Conrad Droste
}

\examples{
 data(ppiHumanUniP)
 head(ppiHumanUniP)
}

\keyword{ datasets }

