\name{referenceTable}
\alias{referenceTable}
\title{
MappingTable based on Uniprot-IDmapping service
}
\description{
Path2enet uses this mapping table to map GeneID, KEGG identifier and Unigene identifier to UniprotID/Uniprot-Swissprot ID. Uniprot-Swissprot ID is the key identefier of Path2enet. This is the reason the package enables to create an up-to-date IDmapping table based on Uniprot-database. 
}
\usage{
data(referenceTable)
}
\format{
 A matrix with 214844 unique protein protein interactions.  
   \describe{
    \item{\code{UniprotID}}{a character vector of UniprotID}
    \item{\code{GeneID}}{a character vector of GeneID}
    \item{\code{KEGG}}{a character vector of KEGG identifier}
    \item{\code{UniProtKB.ID}}{a character vector of Uniprot-SwissprotID}    
    \item{\code{UniGene}}{a character vector Unigene identifier}  
}
}
\references{
ftp.uniprot.org/pub/databases/uniprot/current_release/knowledgebase/idmapping/by_organism/
Magrane M, UniProt Consortium: UniProt Knowledgebase: a hub of integrated protein data. Database 2011, 2011:bar009.
}
\author{
Conrad Droste
}

\examples{
 data(referenceTable)
 head(referenceTable)
}

\keyword{ mapping }
