\name{referenceTableHGU133A}
\alias{referenceTableHGU133A}
\title{
MappingTable based on Uniprot-IDmapping service and BrainArray-HGU133A mapping table
}
\description{
Path2enet uses this mapping table to map GeneID, KEGG identifier, Unigene identifier, Uniprot-Swissprot ID. Uniprot-Swissprot ID to probe sets of the Affymetrix microarray platform HGU133A. The BrainArray mapping table is used to map probe sets to Ensembl identifier. The UniprotID-Mapping table is used to map Ensembl ID to the other identifier.   
}
\usage{
data(referenceTableHGU133A)
}
\format{ 
   \describe{
    \item{\code{UniprotID}}{a character vector of UniprotID}
    \item{\code{GeneID}}{a character vector of GeneID}
    \item{\code{KEGG}}{a character vector of KEGG identifier}
    \item{\code{UniGene}}{a character vector Unigene identifier}  
    \item{\code{UniProtKB.ID}}{a character vector of Uniprot-SwissprotID}    
    \item{\code{Ensembl}}{a character vector of Ensemble identifier}
    \item{\code{Affy}}{a character vector of Affy probe sets for the microarray platform HGU133A}
}
}
\references{
http://brainarray.mbni.med.umich.edu/Brainarray/Database/CustomCDF HGU133A.HS.ENSG
de Leeuw WC, Rauwerda H, Jonker MJ, Breit TM: *Salvaging Affymetrix probes after probe-level re-annotation.* BMC Res. Notes 2008, 1:66

ftp.uniprot.org/pub/databases/uniprot/current_release/knowledgebase/idmapping/by_organism/
Magrane M, UniProt Consortium: UniProt Knowledgebase: a hub of integrated protein data. Database 2011, 2011:bar009.
}
\author{
Conrad Droste
}

\examples{
 data(referenceTable)
 head(referenceTable)
}

\keyword{ mapping }
