\name{rnaseqTissueUniP}
\alias{rnaseqTissueUniP}
\docType{data}
\title{
RNA-seq data of Human Body Map 2.0 and Human Protein Atlas 
}
\description{
This data set includes 2 RNAseq sources: 
(1) E-MTAB-513 - RNA-Seq of human individual tissues and mixture of 16 tissues (Illumina Body Map) [_bm]

The Human BodyMap is a RNA-Seq data set of 16 human tissues. The Illumina sequencing was performed at HiSeq 2000 at Illumina. The fragments per kilobase of exon per million reads (FPKMs) was performed with Cufflings and Ensemble GRCh37 gtf file to call the known transcripts. The *.bam files found at ftp://ftp.ensembl.org/pub/release-70/bam/homo_sapiens/genebuild/. The protocol is available at https://gist.github.com/ericminikel/7533289. The gene symbols of the matrix were mapped to Uniprot-Swissprot identifiers. The sum of duplicated IDs was calculated in the process. 

(2) Human Protein Atlas - RNA-Seq of 33 human tissues and other DNA sources [_pm]

The Human Protein Atlas is a great source for tissue specific / phenotype specific expression data sets. The Human Protein Atlas is located at http://www.proteinatlas.org/. In this data set we used the provided rna_tissue.csv (http://www.proteinatlas.org/about/download)  which includes "Ensembl gene identifier ("Gene"), analysed sample ("Sample"), fragments per kilobase of transcript per million fragments mapped ("Value" and "Unit"), and abundance class ("Abundance"). The data is based on The Human Protein Atlas version 14 and Ensembl version 78.38.". This file was mapped to Uniprot-IDs with the IDmapping-service of www.uniprot.org. The mean of FPKMs of Ensembl-IDs mapped to the same Uniprot-ID were calculated.  

}
\usage{data(rnaseqTissueUni)}
\format{
 A matrix with 18744 expression levels based on the FPKMs results of the Uniprot-Swissprot identifiers on 16 tissues. 
   \describe{
    \item{\code{adipose_bm}}{a numeric vector}
    \item{\code{adrenal_bm}}{a numeric vector}
    \item{\code{blood_bm}}{a numeric vector}
    \item{\code{brain_bm}}{a numeric vector}
    \item{\code{breast_bm}}{a numeric vector}
    \item{\code{colon_bm}}{a numeric vector}
    \item{\code{heart_bm}}{a numeric vector}
    \item{\code{kidney_bm}}{a numeric vector}
    \item{\code{liver_bm}}{a numeric vector}
    \item{\code{lung}_bm}{a numeric vector}
    \item{\code{lymph_bm}}{a numeric vector}
    \item{\code{ovary_bm}}{a numeric vector}
    \item{\code{prostate_bm}}{a numeric vector}
    \item{\code{skeletal_muscle_bm}}{a numeric vector}
    \item{\code{testes_bm}}{a numeric vector}
    \item{\code{thyroid_bm}}{a numeric vector}
    \item{\code{kidney_pa}}{a numeric vector}
    \item{\code{liver_pa}}{a numeric vector}
    \item{\code{prostate_pa}}{a numeric vector}
    \item{\code{lung_pa}}{a numeric vector}
    \item{\code{brain_pa}}{a numeric vector}
    \item{\code{stomach_pa}}{a numeric vector}
    \item{\code{spleen_pa}}{a numeric vector}
    \item{\code{lymphnode_pa}}{a numeric vector}
    \item{\code{adrenal_pa}}{a numeric vector}
    \item{\code{fat_pa}}{a numeric vector}
    \item{\code{endometrium_pa}}{a numeric vector}
    \item{\code{placenta_pa}}{a numeric vector}
    \item{\code{testis_pa}}{a numeric vector}
    \item{\code{urinarybladder_pa}}{a numeric vector}
    \item{\code{thyroid_pa}}{a numeric vector}
    \item{\code{esophagus_pa}}{a numeric vector}
    \item{\code{heart_pa}}{a numeric vector}
    \item{\code{skin_pa}}{a numeric vector}
    \item{\code{ovary_pa}}{a numeric vector}
    \item{\code{bonemarrow_pa}}{a numeric vector}
    \item{\code{salivarygland_pa}}{a numeric vector}
    \item{\code{lung}skeletalmuscle_pa}{a numeric vector}
    \item{\code{fallopiantube_pa}}{a numeric vector}
    \item{\code{tonsil_pa}}{a numeric vector}
    \item{\code{smoothmuscle_pa}}{a numeric vector}
    \item{\code{smallintestine_pa}}{a numeric vector}
    \item{\code{duodenum_pa}}{a numeric vector}
    \item{\code{colonrectum_pa}}{a numeric vector}
    \item{\code{colon_pa}}{a numeric vector}
    \item{\code{rectum_pa}}{a numeric vector}
    
    }
}

\source{
Illumina Body Map E-MTAB-513 - RNAseq: http://www.ebi.ac.uk/arrayexpress/experiments/E-MTAB-513/
Data source: ftp://ftp.ensembl.org/pub/release-70/bam/homo_sapiens/genebuild/
Annotation file: ftp://ftp.ensembl.org/pub/release-70/gtf/homo_sapiens/

Human Protein Atlas - RNAseq: http://www.proteinatlas.org/download/rna_tissue.csv.zip
}
\references{

Data processing: https://gist.github.com/ericminikel/7533289 explained on http://www.cureffi.org/2013/07/11/tissue-specific-gene-expression-data-based-on-human-bodymap-2-0/

Cufflings: Adam Roberts,Harold Pimentel,Cole Trapnell, and Lior Pachter: Identification of novel transcripts in annotated genomes using RNA-Seq, Bioinformatics (2011), June 21, 2011, doi: 10.1093/bioinformatics/btr355

Uhlen M, Fagerberg L, Hallstrom BM, Lindskog C, Oksvold P, Mardinoglu A, Sivertsson A, Kampf C, Sjostedt E, Asplund A, Olsson I, Edlund K, Lundberg E, Navani S, Szigyarto CA, Odeberg J, Djureinovic D, Takanen JO, Hober S, Alm T, Edqvist PH, Berling H, Tegel H, Mulder J, Rockberg J, Nilsson P, Schwenk JM, Hamsten M, von Feilitzen K, Forsberg M, Persson L, Johansson F, Zwahlen M, von Heijne G, Nielsen J, Ponten F. *Tissue-based map of the human proteome.* Science 2015 347(6220):1260419. DOI: 10.1126/science.1260419
}
\examples{
data(rnaseqTissueUni)
head(rnaseqTissueUni)
}
\keyword{datasets}
