\name{setColAttr}
\alias{setColAttr}

\title{
Setting a color scale based on a vertex.attribute to an igraph object
}
\description{
The function uses the chosen vertex.attribute and a mid value to set a color scale from green (smaller) over white (equal) to red (bigger). The color scale replaces the vertex.attribute "color" of the igraph object completly or only the vertexes which have a vertex.attribute and keeps the color of the NA vertexes. The user can also create a new vertex.attribute with the color scale values.  
}
\usage{
setColAttr(graph,attr=NULL,midValue=1, orgColors="FALSE", colname="color")
}

\arguments{
  \item{graph}{
An igraph object
}
  \item{attr}{
The vertex attribute values on which the color scale is based. 
}
  \item{midValue}{
The value which sets the mid for the color scale. Values which have this value are white.
}
  \item{orgColors}{
This value set to true only replaces the color of the nodes which have a value in respect of the vertex attribute (attr). Vertexes which do not have a value (NA) keep there color. 
}
  \item{colname}{
The vertex attribute which stores the color.scale. 
}
}
\value{
\item{graph}{ The original igraph object with the modified or added color scale. 
}
}
\author{
Conrad Friedrich Droste
}

\examples{

}

\keyword{ network }

