\name{tissueSelection}
\alias{tissueSelection}
\title{
Selection of tissue-specific value of Path2enet generated igraph objects
}
\description{
This function uses tissue names like "brain" or "eye" to select the specific Expression Sequencence Tags of the node.attributes of igraph objectes Path2enet generates.   
}
\usage{
tissueSelection(g, type)
}
\arguments{
  \item{g}{
This parameter is a igraph-object Path2enet has generated. This graph needs the node.attributes like "brain" or "eye" which store the number of ESTs found in this tissue. The function deletes any other node attributes in respect of the ESTs.
}
  \item{type}{
The user can chose the tissue of the ESTs he wants to investigate.  
}
}
\value{
\item{ g }{A graph which stores only the ESTs of the selectec tissue.  }

}


\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (g, type) 
{
    switch(type, blood = x <- which(V(g)$blood >= 1), brain = x <- which(V(g)$brain >= 
        1), embryonic_tissue = x <- which(V(g)$embryonic_tissue >= 
        1), eye = x <- which(V(g)$eye >= 1), heart = x <- which(V(g)$heart >= 
        1), kidney = x <- which(V(g)$kidney >= 1), liver = x <- which(V(g)$liver >= 
        1), lung = x <- which(V(g)$lung >= 1), lymph_node = x <- which(V(g)$lymph_node >= 
        1), mixed = x <- which(V(g)$mixed >= 1), mouth = x <- which(V(g)$mouth >= 
        1), muscle = x <- which(V(g)$muscle >= 1), pancreas = x <- which(V(g)$pancreas >= 
        1), prostate = x <- which(V(g)$prostate >= 1), skin = x <- which(V(g)$skin >= 
        1), spleen = x <- which(V(g)$spleen >= 1), adrenal_gland = x <- which(V(g)$adrenal_gland >= 
        1), bladder = x <- which(V(g)$bladder >= 1), ear = x <- which(V(g)$ear >= 
        1), intestine = x <- which(V(g)$intestine >= 1), mammary_gland = x <- which(V(g)$mammary_gland >= 
        1), stomach = x <- which(V(g)$stomach >= 1), testis = x <- which(V(g)$testis >= 
        1), thymus = x <- which(V(g)$thymus >= 1), thyroid = x <- which(V(g)$thyroid >= 
        1), uncharacterized_tissue = x <- which(V(g)$uncharacterized_tissue >= 
        1), pineal_gland = x <- which(V(g)$pineal_gland >= 1), 
        vascular = x <- which(V(g)$vascular >= 1), cervix = x <- which(V(g)$cervix >= 
            1), bone = x <- which(V(g)$bone >= 1), ganglia = x <- which(V(g)$ganglia >= 
            1), tonsil = x <- which(V(g)$tonsil >= 1), amniotic_fluid = x <- which(V(g)$amniotic_fluid >= 
            1), pharynx = x <- which(V(g)$pharynx >= 1), adipose_tissue = x <- which(V(g)$adipose_tissue >= 
            1), ovary = x <- which(V(g)$ovary >= 1), umbilical_cord = x <- which(V(g)$umbilical_cord >= 
            1), uterus = x <- which(V(g)$uterus >= 1), salivary_gland = x <- which(V(g)$salivary_gland >= 
            1), peritoneum = x <- which(V(g)$peritoneum >= 1), 
        bone_marrow = x <- which(V(g)$bone_marrow >= 1), nerve = x <- which(V(g)$nerve >= 
            1), pituitary_gland = x <- which(V(g)$pituitary_gland >= 
            1), connective_tissue = x <- which(V(g)$connective_tissue >= 
            1), larynx = x <- which(V(g)$larynx >= 1), spinal_cord = x <- which(V(g)$spinal_cord >= 
            1), epididymis = x <- which(V(g)$epididymis >= 1), 
        esophagus = x <- which(V(g)$esophagus >= 1), parathyroid = x <- which(V(g)$parathyroid >= 
            1), bronchus = x <- which(V(g)$bronchus >= 1))
    V(g)[x]$color <- "yellow"
    switch(type, blood = V(g)[is.na(V(g)$blood)]$color <- "skyblue", 
        brain = V(g)[is.na(V(g)$brain)]$color <- "skyblue", embryonic_tissue = V(g)[is.na(V(g)$embryonic_tissue)]$color <- "skyblue", 
        eye = V(g)[is.na(V(g)$eye)]$color <- "skyblue", heart = V(g)[is.na(V(g)$heart)]$color <- "skyblue", 
        kidney = V(g)[is.na(V(g)$kidney)]$color <- "skyblue", 
        liver = V(g)[is.na(V(g)$liver)]$color <- "skyblue", lung = V(g)[is.na(V(g)$lung)]$color <- "skyblue", 
        lymph_node = V(g)[is.na(V(g)$lymph_node)]$color <- "skyblue", 
        mixed = V(g)[is.na(V(g)$mixed)]$color <- "skyblue", mouth = V(g)[is.na(V(g)$mouth)]$color <- "skyblue", 
        muscle = V(g)[is.na(V(g)$muscle)]$color <- "skyblue", 
        pancreas = V(g)[is.na(V(g)$pancreas)]$color <- "skyblue", 
        prostate = V(g)[is.na(V(g)$prostate)]$color <- "skyblue", 
        skin = V(g)[is.na(V(g)$skin)]$color <- "skyblue", spleen = V(g)[is.na(V(g)$spleen)]$color <- "skyblue", 
        adrenal_gland = V(g)[is.na(V(g)$adrenal_gland)]$color <- "skyblue", 
        bladder = V(g)[is.na(V(g)$bladder)]$color <- "skyblue", 
        ear = V(g)[is.na(V(g)$ear)]$color <- "skyblue", intestine = V(g)[is.na(V(g)$intestine)]$color <- "skyblue", 
        mammary_gland = V(g)[is.na(V(g)$mammary_gland)]$color <- "skyblue", 
        stomach = V(g)[is.na(V(g)$stomach)]$color <- "skyblue", 
        testis = V(g)[is.na(V(g)$testis)]$color <- "skyblue", 
        thymus = V(g)[is.na(V(g)$thymus)]$color <- "skyblue", 
        thyroid = V(g)[is.na(V(g)$thyroid)]$color <- "skyblue", 
        uncharacterized_tissue = V(g)[is.na(V(g)$uncharacterized_tissue)]$color <- "skyblue", 
        pineal_gland = V(g)[is.na(V(g)$pineal_gland)]$color <- "skyblue", 
        vascular = V(g)[is.na(V(g)$vascular)]$color <- "skyblue", 
        cervix = V(g)[is.na(V(g)$cervix)]$color <- "skyblue", 
        bone = V(g)[is.na(V(g)$bone)]$color <- "skyblue", ganglia = V(g)[is.na(V(g)$ganglia)]$color <- "skyblue", 
        tonsil = V(g)[is.na(V(g)$tonsil)]$color <- "skyblue", 
        amniotic_fluid = V(g)[is.na(V(g)$amniotic_fluid)]$color <- "skyblue", 
        pharynx = V(g)[is.na(V(g)$pharynx)]$color <- "skyblue", 
        adipose_tissue = V(g)[is.na(V(g)$adipose_tissue)]$color <- "skyblue", 
        ovary = V(g)[is.na(V(g)$ovary)]$color <- "skyblue", umbilical_cord = V(g)[is.na(V(g)$umbilical_cord)]$color <- "skyblue", 
        uterus = V(g)[is.na(V(g)$uterus)]$color <- "skyblue", 
        salivary_gland = V(g)[is.na(V(g)$salivary_gland)]$color <- "skyblue", 
        peritoneum = V(g)[is.na(V(g)$peritoneum)]$color <- "skyblue", 
        bone_marrow = V(g)[is.na(V(g)$bone_marrow)]$color <- "skyblue", 
        nerve = V(g)[is.na(V(g)$nerve)]$color <- "skyblue", pituitary_gland = V(g)[is.na(V(g)$pituitary_gland)]$color <- "skyblue", 
        connective_tissue = V(g)[is.na(V(g)$connective_tissue)]$color <- "skyblue", 
        larynx = V(g)[is.na(V(g)$larynx)]$color <- "skyblue", 
        spinal_cord = V(g)[is.na(V(g)$spinal_cord)]$color <- "skyblue", 
        epididymis = V(g)[is.na(V(g)$epididymis)]$color <- "skyblue", 
        esophagus = V(g)[is.na(V(g)$esophagus)]$color <- "skyblue", 
        parathyroid = V(g)[is.na(V(g)$parathyroid)]$color <- "skyblue", 
        bronchus = V(g)[is.na(V(g)$bronchus)]$color <- "skyblue")
    return(g)
  }
}
\keyword{ ~internal }

